Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 113685 - ati-drivers freezes screen when shutting down X
Summary: ati-drivers freezes screen when shutting down X
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: x86 Linux
: High major (vote)
Assignee: X11 External Driver Maintainers
URL: http://forums.gentoo.org/viewtopic-t-...
Whiteboard:
Keywords:
: 126466 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-11-27 00:34 UTC by Yang Zhao
Modified: 2006-11-10 12:53 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yang Zhao 2005-11-27 00:34:43 UTC
xorg-6.8.2 (currently r2) running latest ati-drivers freezes screen when X shuts
down. Screen is black with some `static' lines, and does not go away.

Reproducible: Always
Steps to Reproduce:
1. configure xorg to use fglrx
2. startx
3. ctrl+alt+backspace to shutdown X

Actual Results:  
screen is frozen black, with some static

Expected Results:  
screen displays whatever text contained in tty when X was started

Portage 2.0.51.22-r3 (default-linux/x86/2005.0, gcc-3.4.4, glibc-2.3.5-r2,
2.6.14-gentoo-r2 i686)
=================================================================
System uname: 2.6.14-gentoo-r2 i686 Intel(R) Pentium(R) M processor 1700MHz
Gentoo Base System version 1.6.13
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
dev-lang/python:     2.4.2
sys-apps/sandbox:    1.2.10
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m  -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/
/usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/
/usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=pentium-m  -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distcc distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://sui/portage/ http://modzer0.cs.uaf.edu/public/gentoo/"
LANG="en_CA.UTF-8"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://sui/gentoo-portage"
USE="x86 X aalib acl acpi alsa apm audiofile avi bash-completion berkdb
bitmap-fonts bonobo bzip2 c++ cdr cjk crypt cups curl dvd eds emboss encode esd
exif expat fam flac foomaticdb fortran gdbm gif gimpprint glut gnome gpm gtk
gtk2 gtkhtml guile imagemagick imlib ipv6 java jpeg junit lcms libcaca libg++
libwww mad matroska mikmod mmx mng motif mp3 mpeg ncurses nls nptl nptlonly ogg
oggvorbis opengl pam pcmcia pdflib perl png ppds python quicktime readline real
samba sdl slang spell sse sse2 ssl svg svga tcpd tetex tiff truetype
truetype-fonts type1-fonts udev unicode usb vorbis wmf xml xml2 xmms xosd xprint
xv xvid zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY

emerge -pvt xorg-x11 ati-drivers:

Calculating dependencies ...done!
[ebuild   R   ] x11-drivers/ati-drivers-8.19.10  +opengl 0 kB 
[ebuild     U ] x11-base/xorg-x11-6.8.2-r6 [6.8.2-r2] -3dfx -3dnow +bitmap-fonts
+cjk -debug -dlloader -dmx -doc -font-server -insecure-drivers +ipv6 -minimal
+mmx +nls -nocxx +opengl +pam -sdk +sse -static +truetype-fonts +type1-fonts
(-uclibc) +xprint +xv 187 kB
Comment 1 Luca Barbato gentoo-dev 2005-11-27 09:26:50 UTC
try to update xorg, please attach a .config a dmesg and the xorg log, if you can
ssh please attach the dmesg after that issue.
Comment 2 Yang Zhao 2005-11-28 11:56:05 UTC
Updating to latest stable xorg-x11 does not fix problem.

There's no additional error messages looking at Xorg.0.log.old, but not sure for
certain. Will provide dmesg and Xorg.0.log as soon as I have the time.

.config is below:

#
# Automatically generated make config: don't edit
# Linux kernel version: 2.6.14-gentoo-r2
# Sun Nov 13 15:17:54 2005
#
CONFIG_X86=y
CONFIG_SEMAPHORE_SLEEPERS=y
CONFIG_MMU=y
CONFIG_UID16=y
CONFIG_GENERIC_ISA_DMA=y
CONFIG_GENERIC_IOMAP=y
CONFIG_ARCH_MAY_HAVE_PC_FDC=y

#
# Code maturity level options
#
CONFIG_EXPERIMENTAL=y
CONFIG_CLEAN_COMPILE=y
CONFIG_BROKEN_ON_SMP=y
CONFIG_LOCK_KERNEL=y
CONFIG_INIT_ENV_ARG_LIMIT=32

#
# General setup
#
CONFIG_LOCALVERSION=""
CONFIG_LOCALVERSION_AUTO=y
CONFIG_SWAP=y
CONFIG_SYSVIPC=y
CONFIG_POSIX_MQUEUE=y
# CONFIG_BSD_PROCESS_ACCT is not set
CONFIG_SYSCTL=y
CONFIG_AUDIT=y
CONFIG_AUDITSYSCALL=y
CONFIG_HOTPLUG=y
CONFIG_KOBJECT_UEVENT=y
# CONFIG_IKCONFIG is not set
CONFIG_INITRAMFS_SOURCE=""
# CONFIG_EMBEDDED is not set
CONFIG_KALLSYMS=y
# CONFIG_KALLSYMS_EXTRA_PASS is not set
CONFIG_PRINTK=y
CONFIG_BUG=y
CONFIG_BASE_FULL=y
CONFIG_FUTEX=y
CONFIG_EPOLL=y
CONFIG_SHMEM=y
CONFIG_CC_ALIGN_FUNCTIONS=0
CONFIG_CC_ALIGN_LABELS=0
CONFIG_CC_ALIGN_LOOPS=0
CONFIG_CC_ALIGN_JUMPS=0
# CONFIG_TINY_SHMEM is not set
CONFIG_BASE_SMALL=0

#
# Loadable module support
#
CONFIG_MODULES=y
CONFIG_MODULE_UNLOAD=y
CONFIG_MODULE_FORCE_UNLOAD=y
CONFIG_OBSOLETE_MODPARM=y
# CONFIG_MODVERSIONS is not set
# CONFIG_MODULE_SRCVERSION_ALL is not set
CONFIG_KMOD=y

#
# Processor type and features
#
CONFIG_X86_PC=y
# CONFIG_X86_ELAN is not set
# CONFIG_X86_VOYAGER is not set
# CONFIG_X86_NUMAQ is not set
# CONFIG_X86_SUMMIT is not set
# CONFIG_X86_BIGSMP is not set
# CONFIG_X86_VISWS is not set
# CONFIG_X86_GENERICARCH is not set
# CONFIG_X86_ES7000 is not set
# CONFIG_M386 is not set
# CONFIG_M486 is not set
# CONFIG_M586 is not set
# CONFIG_M586TSC is not set
# CONFIG_M586MMX is not set
# CONFIG_M686 is not set
# CONFIG_MPENTIUMII is not set
# CONFIG_MPENTIUMIII is not set
CONFIG_MPENTIUMM=y
# CONFIG_MPENTIUM4 is not set
# CONFIG_MK6 is not set
# CONFIG_MK7 is not set
# CONFIG_MK8 is not set
# CONFIG_MCRUSOE is not set
# CONFIG_MEFFICEON is not set
# CONFIG_MWINCHIPC6 is not set
# CONFIG_MWINCHIP2 is not set
# CONFIG_MWINCHIP3D is not set
# CONFIG_MGEODEGX1 is not set
# CONFIG_MCYRIXIII is not set
# CONFIG_MVIAC3_2 is not set
# CONFIG_X86_GENERIC is not set
CONFIG_X86_CMPXCHG=y
CONFIG_X86_XADD=y
CONFIG_X86_L1_CACHE_SHIFT=6
CONFIG_RWSEM_XCHGADD_ALGORITHM=y
CONFIG_GENERIC_CALIBRATE_DELAY=y
CONFIG_X86_WP_WORKS_OK=y
CONFIG_X86_INVLPG=y
CONFIG_X86_BSWAP=y
CONFIG_X86_POPAD_OK=y
CONFIG_X86_GOOD_APIC=y
CONFIG_X86_INTEL_USERCOPY=y
CONFIG_X86_USE_PPRO_CHECKSUM=y
# CONFIG_HPET_TIMER is not set
# CONFIG_SMP is not set
# CONFIG_PREEMPT_NONE is not set
# CONFIG_PREEMPT_VOLUNTARY is not set
CONFIG_PREEMPT=y
CONFIG_PREEMPT_BKL=y
# CONFIG_X86_UP_APIC is not set
CONFIG_X86_TSC=y
CONFIG_X86_MCE=y
CONFIG_X86_MCE_NONFATAL=y
# CONFIG_TOSHIBA is not set
# CONFIG_I8K is not set
# CONFIG_X86_REBOOTFIXUPS is not set
# CONFIG_MICROCODE is not set
# CONFIG_X86_MSR is not set
# CONFIG_X86_CPUID is not set

#
# Firmware Drivers
#
# CONFIG_EDD is not set
# CONFIG_DELL_RBU is not set
CONFIG_DCDBAS=m
CONFIG_NOHIGHMEM=y
# CONFIG_HIGHMEM4G is not set
# CONFIG_HIGHMEM64G is not set
CONFIG_SELECT_MEMORY_MODEL=y
CONFIG_FLATMEM_MANUAL=y
# CONFIG_DISCONTIGMEM_MANUAL is not set
# CONFIG_SPARSEMEM_MANUAL is not set
CONFIG_FLATMEM=y
CONFIG_FLAT_NODE_MEM_MAP=y
# CONFIG_SPARSEMEM_STATIC is not set
# CONFIG_MATH_EMULATION is not set
CONFIG_MTRR=y
# CONFIG_EFI is not set
# CONFIG_REGPARM is not set
CONFIG_SECCOMP=y
# CONFIG_HZ_100 is not set
CONFIG_HZ_250=y
# CONFIG_HZ_1000 is not set
CONFIG_HZ=250
CONFIG_PHYSICAL_START=0x100000
# CONFIG_KEXEC is not set

#
# Power management options (ACPI, APM)
#
CONFIG_PM=y
# CONFIG_PM_DEBUG is not set
CONFIG_SOFTWARE_SUSPEND=y
CONFIG_PM_STD_PARTITION=""
# CONFIG_SWSUSP_ENCRYPT is not set

#
# ACPI (Advanced Configuration and Power Interface) Support
#
CONFIG_ACPI=y
CONFIG_ACPI_SLEEP=y
CONFIG_ACPI_SLEEP_PROC_FS=y
# CONFIG_ACPI_SLEEP_PROC_SLEEP is not set
CONFIG_ACPI_AC=y
CONFIG_ACPI_BATTERY=y
CONFIG_ACPI_BUTTON=y
# CONFIG_ACPI_VIDEO is not set
CONFIG_ACPI_HOTKEY=y
CONFIG_ACPI_FAN=y
CONFIG_ACPI_PROCESSOR=y
CONFIG_ACPI_THERMAL=y
# CONFIG_ACPI_ASUS is not set
# CONFIG_ACPI_IBM is not set
# CONFIG_ACPI_TOSHIBA is not set
CONFIG_ACPI_BLACKLIST_YEAR=0
# CONFIG_ACPI_DEBUG is not set
CONFIG_ACPI_EC=y
CONFIG_ACPI_POWER=y
CONFIG_ACPI_SYSTEM=y
CONFIG_X86_PM_TIMER=y
# CONFIG_ACPI_CONTAINER is not set

#
# APM (Advanced Power Management) BIOS Support
#
# CONFIG_APM is not set

#
# CPU Frequency scaling
#
CONFIG_CPU_FREQ=y
CONFIG_CPU_FREQ_TABLE=y
# CONFIG_CPU_FREQ_DEBUG is not set
CONFIG_CPU_FREQ_STAT=y
# CONFIG_CPU_FREQ_STAT_DETAILS is not set
CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y
# CONFIG_CPU_FREQ_DEFAULT_GOV_USERSPACE is not set
CONFIG_CPU_FREQ_GOV_PERFORMANCE=y
CONFIG_CPU_FREQ_GOV_POWERSAVE=y
CONFIG_CPU_FREQ_GOV_USERSPACE=y
CONFIG_CPU_FREQ_GOV_ONDEMAND=y
CONFIG_CPU_FREQ_GOV_CONSERVATIVE=y

#
# CPUFreq processor drivers
#
# CONFIG_X86_ACPI_CPUFREQ is not set
# CONFIG_X86_POWERNOW_K6 is not set
# CONFIG_X86_POWERNOW_K7 is not set
# CONFIG_X86_POWERNOW_K8 is not set
# CONFIG_X86_GX_SUSPMOD is not set
CONFIG_X86_SPEEDSTEP_CENTRINO=y
CONFIG_X86_SPEEDSTEP_CENTRINO_ACPI=y
CONFIG_X86_SPEEDSTEP_CENTRINO_TABLE=y
CONFIG_X86_SPEEDSTEP_ICH=y
# CONFIG_X86_SPEEDSTEP_SMI is not set
# CONFIG_X86_P4_CLOCKMOD is not set
# CONFIG_X86_CPUFREQ_NFORCE2 is not set
# CONFIG_X86_LONGRUN is not set
# CONFIG_X86_LONGHAUL is not set

#
# shared options
#
# CONFIG_X86_ACPI_CPUFREQ_PROC_INTF is not set
CONFIG_X86_SPEEDSTEP_LIB=y
# CONFIG_X86_SPEEDSTEP_RELAXED_CAP_CHECK is not set

#
# Bus options (PCI, PCMCIA, EISA, MCA, ISA)
#
CONFIG_PCI=y
# CONFIG_PCI_GOBIOS is not set
# CONFIG_PCI_GOMMCONFIG is not set
# CONFIG_PCI_GODIRECT is not set
CONFIG_PCI_GOANY=y
CONFIG_PCI_BIOS=y
CONFIG_PCI_DIRECT=y
CONFIG_PCI_MMCONFIG=y
# CONFIG_PCIEPORTBUS is not set
# CONFIG_PCI_LEGACY_PROC is not set
CONFIG_ISA_DMA_API=y
# CONFIG_ISA is not set
# CONFIG_MCA is not set
# CONFIG_SCx200 is not set

#
# PCCARD (PCMCIA/CardBus) support
#
CONFIG_PCCARD=y
# CONFIG_PCMCIA_DEBUG is not set
CONFIG_PCMCIA=y
CONFIG_PCMCIA_LOAD_CIS=y
CONFIG_PCMCIA_IOCTL=y
CONFIG_CARDBUS=y

#
# PC-card bridges
#
# CONFIG_YENTA is not set
# CONFIG_PD6729 is not set
# CONFIG_I82092 is not set

#
# PCI Hotplug Support
#
# CONFIG_HOTPLUG_PCI is not set

#
# Executable file formats
#
CONFIG_BINFMT_ELF=y
CONFIG_BINFMT_AOUT=y
CONFIG_BINFMT_MISC=y

#
# Networking
#
CONFIG_NET=y

#
# Networking options
#
CONFIG_PACKET=y
# CONFIG_PACKET_MMAP is not set
CONFIG_UNIX=y
# CONFIG_NET_KEY is not set
CONFIG_INET=y
CONFIG_IP_MULTICAST=y
# CONFIG_IP_ADVANCED_ROUTER is not set
CONFIG_IP_FIB_HASH=y
# CONFIG_IP_PNP is not set
# CONFIG_NET_IPIP is not set
# CONFIG_NET_IPGRE is not set
# CONFIG_IP_MROUTE is not set
# CONFIG_ARPD is not set
# CONFIG_SYN_COOKIES is not set
# CONFIG_INET_AH is not set
# CONFIG_INET_ESP is not set
# CONFIG_INET_IPCOMP is not set
# CONFIG_INET_TUNNEL is not set
CONFIG_INET_DIAG=y
CONFIG_INET_TCP_DIAG=y
# CONFIG_TCP_CONG_ADVANCED is not set
CONFIG_TCP_CONG_BIC=y

#
# IP: Virtual Server Configuration
#
# CONFIG_IP_VS is not set
# CONFIG_IPV6 is not set
CONFIG_NETFILTER=y
# CONFIG_NETFILTER_DEBUG is not set
# CONFIG_NETFILTER_NETLINK is not set

#
# IP: Netfilter Configuration
#
CONFIG_IP_NF_CONNTRACK=y
# CONFIG_IP_NF_CT_ACCT is not set
# CONFIG_IP_NF_CONNTRACK_MARK is not set
# CONFIG_IP_NF_CONNTRACK_EVENTS is not set
# CONFIG_IP_NF_CT_PROTO_SCTP is not set
# CONFIG_IP_NF_FTP is not set
# CONFIG_IP_NF_IRC is not set
# CONFIG_IP_NF_NETBIOS_NS is not set
# CONFIG_IP_NF_TFTP is not set
# CONFIG_IP_NF_AMANDA is not set
# CONFIG_IP_NF_PPTP is not set
CONFIG_IP_NF_QUEUE=y
CONFIG_IP_NF_IPTABLES=y
CONFIG_IP_NF_MATCH_LIMIT=y
CONFIG_IP_NF_MATCH_IPRANGE=y
CONFIG_IP_NF_MATCH_MAC=y
CONFIG_IP_NF_MATCH_PKTTYPE=y
CONFIG_IP_NF_MATCH_MARK=y
CONFIG_IP_NF_MATCH_MULTIPORT=y
CONFIG_IP_NF_MATCH_TOS=y
CONFIG_IP_NF_MATCH_RECENT=y
CONFIG_IP_NF_MATCH_ECN=y
CONFIG_IP_NF_MATCH_DSCP=y
CONFIG_IP_NF_MATCH_AH_ESP=y
CONFIG_IP_NF_MATCH_LENGTH=y
CONFIG_IP_NF_MATCH_TTL=y
CONFIG_IP_NF_MATCH_TCPMSS=y
CONFIG_IP_NF_MATCH_HELPER=y
CONFIG_IP_NF_MATCH_STATE=y
CONFIG_IP_NF_MATCH_CONNTRACK=y
CONFIG_IP_NF_MATCH_OWNER=y
# CONFIG_IP_NF_MATCH_ADDRTYPE is not set
# CONFIG_IP_NF_MATCH_REALM is not set
# CONFIG_IP_NF_MATCH_SCTP is not set
# CONFIG_IP_NF_MATCH_DCCP is not set
# CONFIG_IP_NF_MATCH_COMMENT is not set
# CONFIG_IP_NF_MATCH_HASHLIMIT is not set
# CONFIG_IP_NF_MATCH_STRING is not set
CONFIG_IP_NF_FILTER=y
CONFIG_IP_NF_TARGET_REJECT=y
CONFIG_IP_NF_TARGET_LOG=y
CONFIG_IP_NF_TARGET_ULOG=y
CONFIG_IP_NF_TARGET_TCPMSS=y
# CONFIG_IP_NF_TARGET_NFQUEUE is not set
CONFIG_IP_NF_NAT=y
CONFIG_IP_NF_NAT_NEEDED=y
CONFIG_IP_NF_TARGET_MASQUERADE=y
CONFIG_IP_NF_TARGET_REDIRECT=y
CONFIG_IP_NF_TARGET_NETMAP=y
CONFIG_IP_NF_TARGET_SAME=y
# CONFIG_IP_NF_NAT_SNMP_BASIC is not set
CONFIG_IP_NF_MANGLE=y
CONFIG_IP_NF_TARGET_TOS=y
CONFIG_IP_NF_TARGET_ECN=y
CONFIG_IP_NF_TARGET_DSCP=y
CONFIG_IP_NF_TARGET_MARK=y
CONFIG_IP_NF_TARGET_CLASSIFY=y
# CONFIG_IP_NF_TARGET_TTL is not set
CONFIG_IP_NF_RAW=m
CONFIG_IP_NF_TARGET_NOTRACK=m
CONFIG_IP_NF_ARPTABLES=y
CONFIG_IP_NF_ARPFILTER=y
CONFIG_IP_NF_ARP_MANGLE=y

#
# DCCP Configuration (EXPERIMENTAL)
#
# CONFIG_IP_DCCP is not set

#
# SCTP Configuration (EXPERIMENTAL)
#
# CONFIG_IP_SCTP is not set
# CONFIG_ATM is not set
# CONFIG_BRIDGE is not set
# CONFIG_VLAN_8021Q is not set
# CONFIG_DECNET is not set
# CONFIG_LLC2 is not set
# CONFIG_IPX is not set
# CONFIG_ATALK is not set
# CONFIG_X25 is not set
# CONFIG_LAPB is not set
# CONFIG_NET_DIVERT is not set
# CONFIG_ECONET is not set
# CONFIG_WAN_ROUTER is not set
# CONFIG_NET_SCHED is not set
# CONFIG_NET_CLS_ROUTE is not set

#
# Network testing
#
# CONFIG_NET_PKTGEN is not set
# CONFIG_HAMRADIO is not set
CONFIG_IRDA=m

#
# IrDA protocols
#
# CONFIG_IRLAN is not set
# CONFIG_IRCOMM is not set
# CONFIG_IRDA_ULTRA is not set

#
# IrDA options
#
# CONFIG_IRDA_CACHE_LAST_LSAP is not set
# CONFIG_IRDA_FAST_RR is not set
# CONFIG_IRDA_DEBUG is not set

#
# Infrared-port device drivers
#

#
# SIR device drivers
#
# CONFIG_IRTTY_SIR is not set

#
# Dongle support
#

#
# Old SIR device drivers
#
# CONFIG_IRPORT_SIR is not set

#
# Old Serial dongle support
#

#
# FIR device drivers
#
# CONFIG_USB_IRDA is not set
# CONFIG_SIGMATEL_FIR is not set
# CONFIG_NSC_FIR is not set
# CONFIG_WINBOND_FIR is not set
# CONFIG_TOSHIBA_FIR is not set
# CONFIG_SMC_IRCC_FIR is not set
# CONFIG_ALI_FIR is not set
# CONFIG_VLSI_FIR is not set
# CONFIG_VIA_FIR is not set
CONFIG_BT=m
# CONFIG_BT_L2CAP is not set
# CONFIG_BT_SCO is not set

#
# Bluetooth device drivers
#
# CONFIG_BT_HCIUSB is not set
# CONFIG_BT_HCIUART is not set
# CONFIG_BT_HCIBCM203X is not set
# CONFIG_BT_HCIBPA10X is not set
# CONFIG_BT_HCIBFUSB is not set
# CONFIG_BT_HCIDTL1 is not set
# CONFIG_BT_HCIBT3C is not set
# CONFIG_BT_HCIBLUECARD is not set
# CONFIG_BT_HCIBTUART is not set
# CONFIG_BT_HCIVHCI is not set
# CONFIG_IEEE80211 is not set

#
# Device Drivers
#

#
# Generic Driver Options
#
CONFIG_STANDALONE=y
CONFIG_PREVENT_FIRMWARE_BUILD=y
CONFIG_FW_LOADER=y

#
# Connector - unified userspace <-> kernelspace linker
#
# CONFIG_CONNECTOR is not set

#
# Memory Technology Devices (MTD)
#
# CONFIG_MTD is not set

#
# Parallel port support
#
CONFIG_PARPORT=y
CONFIG_PARPORT_PC=y
# CONFIG_PARPORT_SERIAL is not set
# CONFIG_PARPORT_PC_FIFO is not set
# CONFIG_PARPORT_PC_SUPERIO is not set
# CONFIG_PARPORT_PC_PCMCIA is not set
# CONFIG_PARPORT_GSC is not set
# CONFIG_PARPORT_1284 is not set

#
# Plug and Play support
#
CONFIG_PNP=y
# CONFIG_PNP_DEBUG is not set

#
# Protocols
#
CONFIG_PNPACPI=y

#
# Block devices
#
CONFIG_BLK_DEV_FD=m
# CONFIG_PARIDE is not set
# CONFIG_BLK_CPQ_DA is not set
# CONFIG_BLK_CPQ_CISS_DA is not set
# CONFIG_BLK_DEV_DAC960 is not set
# CONFIG_BLK_DEV_UMEM is not set
# CONFIG_BLK_DEV_COW_COMMON is not set
CONFIG_BLK_DEV_LOOP=y
# CONFIG_BLK_DEV_CRYPTOLOOP is not set
# CONFIG_BLK_DEV_NBD is not set
# CONFIG_BLK_DEV_SX8 is not set
# CONFIG_BLK_DEV_UB is not set
# CONFIG_BLK_DEV_RAM is not set
CONFIG_BLK_DEV_RAM_COUNT=16
# CONFIG_LBD is not set
CONFIG_CDROM_PKTCDVD=y
CONFIG_CDROM_PKTCDVD_BUFFERS=8
# CONFIG_CDROM_PKTCDVD_WCACHE is not set

#
# IO Schedulers
#
CONFIG_IOSCHED_NOOP=y
CONFIG_IOSCHED_AS=y
CONFIG_IOSCHED_DEADLINE=y
CONFIG_IOSCHED_CFQ=y
# CONFIG_ATA_OVER_ETH is not set

#
# ATA/ATAPI/MFM/RLL support
#
CONFIG_IDE=y
CONFIG_BLK_DEV_IDE=y

#
# Please see Documentation/ide.txt for help/info on IDE drives
#
# CONFIG_BLK_DEV_IDE_SATA is not set
# CONFIG_BLK_DEV_HD_IDE is not set
CONFIG_BLK_DEV_IDEDISK=y
CONFIG_IDEDISK_MULTI_MODE=y
# CONFIG_BLK_DEV_IDECS is not set
CONFIG_BLK_DEV_IDECD=y
# CONFIG_BLK_DEV_IDETAPE is not set
# CONFIG_BLK_DEV_IDEFLOPPY is not set
# CONFIG_BLK_DEV_IDESCSI is not set
# CONFIG_IDE_TASK_IOCTL is not set

#
# IDE chipset support/bugfixes
#
CONFIG_IDE_GENERIC=y
CONFIG_BLK_DEV_CMD640=y
# CONFIG_BLK_DEV_CMD640_ENHANCED is not set
# CONFIG_BLK_DEV_IDEPNP is not set
CONFIG_BLK_DEV_IDEPCI=y
CONFIG_IDEPCI_SHARE_IRQ=y
# CONFIG_BLK_DEV_OFFBOARD is not set
CONFIG_BLK_DEV_GENERIC=y
# CONFIG_BLK_DEV_OPTI621 is not set
CONFIG_BLK_DEV_RZ1000=y
CONFIG_BLK_DEV_IDEDMA_PCI=y
# CONFIG_BLK_DEV_IDEDMA_FORCED is not set
CONFIG_IDEDMA_PCI_AUTO=y
# CONFIG_IDEDMA_ONLYDISK is not set
# CONFIG_BLK_DEV_AEC62XX is not set
# CONFIG_BLK_DEV_ALI15X3 is not set
# CONFIG_BLK_DEV_AMD74XX is not set
# CONFIG_BLK_DEV_ATIIXP is not set
# CONFIG_BLK_DEV_CMD64X is not set
# CONFIG_BLK_DEV_TRIFLEX is not set
# CONFIG_BLK_DEV_CY82C693 is not set
# CONFIG_BLK_DEV_CS5520 is not set
# CONFIG_BLK_DEV_CS5530 is not set
# CONFIG_BLK_DEV_HPT34X is not set
# CONFIG_BLK_DEV_HPT366 is not set
# CONFIG_BLK_DEV_SC1200 is not set
CONFIG_BLK_DEV_PIIX=y
# CONFIG_BLK_DEV_IT821X is not set
# CONFIG_BLK_DEV_NS87415 is not set
# CONFIG_BLK_DEV_PDC202XX_OLD is not set
# CONFIG_BLK_DEV_PDC202XX_NEW is not set
# CONFIG_BLK_DEV_SVWKS is not set
# CONFIG_BLK_DEV_SIIMAGE is not set
# CONFIG_BLK_DEV_SIS5513 is not set
# CONFIG_BLK_DEV_SLC90E66 is not set
# CONFIG_BLK_DEV_TRM290 is not set
# CONFIG_BLK_DEV_VIA82CXXX is not set
# CONFIG_IDE_ARM is not set
CONFIG_BLK_DEV_IDEDMA=y
# CONFIG_IDEDMA_IVB is not set
CONFIG_IDEDMA_AUTO=y
# CONFIG_BLK_DEV_HD is not set

#
# SCSI device support
#
# CONFIG_RAID_ATTRS is not set
CONFIG_SCSI=y
# CONFIG_SCSI_PROC_FS is not set

#
# SCSI support type (disk, tape, CD-ROM)
#
CONFIG_BLK_DEV_SD=m
# CONFIG_CHR_DEV_ST is not set
# CONFIG_CHR_DEV_OSST is not set
# CONFIG_BLK_DEV_SR is not set
CONFIG_CHR_DEV_SG=m
# CONFIG_CHR_DEV_SCH is not set

#
# Some SCSI devices (e.g. CD jukebox) support multiple LUNs
#
# CONFIG_SCSI_MULTI_LUN is not set
# CONFIG_SCSI_CONSTANTS is not set
# CONFIG_SCSI_LOGGING is not set

#
# SCSI Transport Attributes
#
# CONFIG_SCSI_SPI_ATTRS is not set
# CONFIG_SCSI_FC_ATTRS is not set
# CONFIG_SCSI_ISCSI_ATTRS is not set
# CONFIG_SCSI_SAS_ATTRS is not set

#
# SCSI low-level drivers
#
# CONFIG_BLK_DEV_3W_XXXX_RAID is not set
# CONFIG_SCSI_3W_9XXX is not set
# CONFIG_SCSI_ACARD is not set
# CONFIG_SCSI_AACRAID is not set
# CONFIG_SCSI_AIC7XXX is not set
# CONFIG_SCSI_AIC7XXX_OLD is not set
# CONFIG_SCSI_AIC79XX is not set
# CONFIG_SCSI_DPT_I2O is not set
# CONFIG_MEGARAID_NEWGEN is not set
# CONFIG_MEGARAID_LEGACY is not set
# CONFIG_MEGARAID_SAS is not set
# CONFIG_SCSI_SATA is not set
# CONFIG_SCSI_BUSLOGIC is not set
# CONFIG_SCSI_DMX3191D is not set
# CONFIG_SCSI_EATA is not set
# CONFIG_SCSI_FUTURE_DOMAIN is not set
# CONFIG_SCSI_GDTH is not set
# CONFIG_SCSI_IPS is not set
# CONFIG_SCSI_INITIO is not set
# CONFIG_SCSI_INIA100 is not set
# CONFIG_SCSI_PPA is not set
# CONFIG_SCSI_IMM is not set
# CONFIG_SCSI_SYM53C8XX_2 is not set
# CONFIG_SCSI_IPR is not set
# CONFIG_SCSI_QLOGIC_FC is not set
# CONFIG_SCSI_QLOGIC_1280 is not set
CONFIG_SCSI_QLA2XXX=y
# CONFIG_SCSI_QLA21XX is not set
# CONFIG_SCSI_QLA22XX is not set
# CONFIG_SCSI_QLA2300 is not set
# CONFIG_SCSI_QLA2322 is not set
# CONFIG_SCSI_QLA6312 is not set
# CONFIG_SCSI_QLA24XX is not set
# CONFIG_SCSI_LPFC is not set
# CONFIG_SCSI_DC395x is not set
# CONFIG_SCSI_DC390T is not set
# CONFIG_SCSI_NSP32 is not set
# CONFIG_SCSI_DEBUG is not set

#
# PCMCIA SCSI adapter support
#
# CONFIG_PCMCIA_AHA152X is not set
# CONFIG_PCMCIA_FDOMAIN is not set
# CONFIG_PCMCIA_NINJA_SCSI is not set
# CONFIG_PCMCIA_QLOGIC is not set
# CONFIG_PCMCIA_SYM53C500 is not set

#
# Multi-device support (RAID and LVM)
#
# CONFIG_MD is not set

#
# Fusion MPT device support
#
# CONFIG_FUSION is not set
# CONFIG_FUSION_SPI is not set
# CONFIG_FUSION_FC is not set
# CONFIG_FUSION_SAS is not set

#
# IEEE 1394 (FireWire) support
#
CONFIG_IEEE1394=y

#
# Subsystem Options
#
# CONFIG_IEEE1394_VERBOSEDEBUG is not set
# CONFIG_IEEE1394_OUI_DB is not set
# CONFIG_IEEE1394_EXTRA_CONFIG_ROMS is not set
# CONFIG_IEEE1394_EXPORT_FULL_API is not set

#
# Device Drivers
#
# CONFIG_IEEE1394_PCILYNX is not set
CONFIG_IEEE1394_OHCI1394=y

#
# Protocol Drivers
#
# CONFIG_IEEE1394_VIDEO1394 is not set
# CONFIG_IEEE1394_SBP2 is not set
# CONFIG_IEEE1394_ETH1394 is not set
CONFIG_IEEE1394_DV1394=m
CONFIG_IEEE1394_RAWIO=y
# CONFIG_IEEE1394_CMP is not set

#
# I2O device support
#
# CONFIG_I2O is not set

#
# Network device support
#
CONFIG_NETDEVICES=y
CONFIG_DUMMY=m
# CONFIG_BONDING is not set
# CONFIG_EQUALIZER is not set
# CONFIG_TUN is not set
# CONFIG_NET_SB1000 is not set

#
# ARCnet devices
#
# CONFIG_ARCNET is not set

#
# PHY device support
#

#
# Ethernet (10 or 100Mbit)
#
# CONFIG_NET_ETHERNET is not set

#
# Ethernet (1000 Mbit)
#
# CONFIG_ACENIC is not set
# CONFIG_DL2K is not set
CONFIG_E1000=m
# CONFIG_E1000_NAPI is not set
# CONFIG_NS83820 is not set
# CONFIG_HAMACHI is not set
# CONFIG_YELLOWFIN is not set
# CONFIG_R8169 is not set
# CONFIG_SIS190 is not set
# CONFIG_SKGE is not set
# CONFIG_SK98LIN is not set
# CONFIG_TIGON3 is not set
# CONFIG_BNX2 is not set

#
# Ethernet (10000 Mbit)
#
# CONFIG_CHELSIO_T1 is not set
# CONFIG_IXGB is not set
# CONFIG_S2IO is not set

#
# Token Ring devices
#
# CONFIG_TR is not set

#
# Wireless LAN (non-hamradio)
#
CONFIG_NET_RADIO=y

#
# Obsolete Wireless cards support (pre-802.11)
#
# CONFIG_STRIP is not set
# CONFIG_PCMCIA_WAVELAN is not set
# CONFIG_PCMCIA_NETWAVE is not set

#
# Wireless 802.11 Frequency Hopping cards support
#
# CONFIG_PCMCIA_RAYCS is not set

#
# Wireless 802.11b ISA/PCI cards support
#
# CONFIG_AIRO is not set
# CONFIG_HERMES is not set
# CONFIG_ATMEL is not set

#
# Wireless 802.11b Pcmcia/Cardbus cards support
#
# CONFIG_AIRO_CS is not set
# CONFIG_PCMCIA_WL3501 is not set

#
# Prism GT/Duette 802.11(a/b/g) PCI/Cardbus support
#
# CONFIG_PRISM54 is not set
# CONFIG_HOSTAP is not set
CONFIG_NET_WIRELESS=y

#
# PCMCIA network device support
#
# CONFIG_NET_PCMCIA is not set

#
# Wan interfaces
#
# CONFIG_WAN is not set
# CONFIG_FDDI is not set
# CONFIG_HIPPI is not set
# CONFIG_PLIP is not set
# CONFIG_PPP is not set
# CONFIG_SLIP is not set
# CONFIG_NET_FC is not set
# CONFIG_SHAPER is not set
# CONFIG_NETCONSOLE is not set
# CONFIG_NETPOLL is not set
# CONFIG_NET_POLL_CONTROLLER is not set

#
# ISDN subsystem
#
# CONFIG_ISDN is not set

#
# Telephony Support
#
# CONFIG_PHONE is not set

#
# Input device support
#
CONFIG_INPUT=y

#
# Userland interfaces
#
CONFIG_INPUT_MOUSEDEV=y
# CONFIG_INPUT_MOUSEDEV_PSAUX is not set
CONFIG_INPUT_MOUSEDEV_SCREEN_X=1400
CONFIG_INPUT_MOUSEDEV_SCREEN_Y=1050
CONFIG_INPUT_JOYDEV=m
# CONFIG_INPUT_TSDEV is not set
# CONFIG_INPUT_EVDEV is not set
# CONFIG_INPUT_EVBUG is not set

#
# Input Device Drivers
#
CONFIG_INPUT_KEYBOARD=y
CONFIG_KEYBOARD_ATKBD=y
# CONFIG_KEYBOARD_SUNKBD is not set
# CONFIG_KEYBOARD_LKKBD is not set
# CONFIG_KEYBOARD_XTKBD is not set
# CONFIG_KEYBOARD_NEWTON is not set
CONFIG_INPUT_MOUSE=y
CONFIG_MOUSE_PS2=y
# CONFIG_MOUSE_SERIAL is not set
# CONFIG_MOUSE_VSXXXAA is not set
# CONFIG_INPUT_JOYSTICK is not set
# CONFIG_INPUT_TOUCHSCREEN is not set
CONFIG_INPUT_MISC=y
CONFIG_INPUT_PCSPKR=m
# CONFIG_INPUT_UINPUT is not set

#
# Hardware I/O ports
#
CONFIG_SERIO=y
CONFIG_SERIO_I8042=y
# CONFIG_SERIO_SERPORT is not set
# CONFIG_SERIO_CT82C710 is not set
# CONFIG_SERIO_PARKBD is not set
# CONFIG_SERIO_PCIPS2 is not set
CONFIG_SERIO_LIBPS2=y
# CONFIG_SERIO_RAW is not set
# CONFIG_GAMEPORT is not set

#
# Character devices
#
CONFIG_VT=y
CONFIG_VT_CONSOLE=y
CONFIG_HW_CONSOLE=y
# CONFIG_SERIAL_NONSTANDARD is not set

#
# Serial drivers
#
CONFIG_SERIAL_8250=y
# CONFIG_SERIAL_8250_CONSOLE is not set
# CONFIG_SERIAL_8250_CS is not set
# CONFIG_SERIAL_8250_ACPI is not set
CONFIG_SERIAL_8250_NR_UARTS=4
# CONFIG_SERIAL_8250_EXTENDED is not set

#
# Non-8250 serial port support
#
CONFIG_SERIAL_CORE=y
# CONFIG_SERIAL_JSM is not set
CONFIG_UNIX98_PTYS=y
CONFIG_LEGACY_PTYS=y
CONFIG_LEGACY_PTY_COUNT=256
# CONFIG_PRINTER is not set
# CONFIG_PPDEV is not set
# CONFIG_TIPAR is not set

#
# IPMI
#
# CONFIG_IPMI_HANDLER is not set

#
# Watchdog Cards
#
# CONFIG_WATCHDOG is not set
CONFIG_HW_RANDOM=y
CONFIG_NVRAM=y
# CONFIG_RTC is not set
# CONFIG_GEN_RTC is not set
# CONFIG_R3964 is not set
# CONFIG_APPLICOM is not set
# CONFIG_SONYPI is not set

#
# Ftape, the floppy tape device driver
#
# CONFIG_FTAPE is not set
CONFIG_AGP=y
# CONFIG_AGP_ALI is not set
# CONFIG_AGP_ATI is not set
# CONFIG_AGP_AMD is not set
# CONFIG_AGP_AMD64 is not set
CONFIG_AGP_INTEL=y
# CONFIG_AGP_NVIDIA is not set
# CONFIG_AGP_SIS is not set
# CONFIG_AGP_SWORKS is not set
# CONFIG_AGP_VIA is not set
# CONFIG_AGP_EFFICEON is not set
CONFIG_DRM=m
# CONFIG_DRM_TDFX is not set
# CONFIG_DRM_R128 is not set
CONFIG_DRM_RADEON=m
# CONFIG_DRM_I810 is not set
# CONFIG_DRM_I830 is not set
# CONFIG_DRM_I915 is not set
# CONFIG_DRM_MGA is not set
# CONFIG_DRM_SIS is not set
# CONFIG_DRM_VIA is not set
# CONFIG_DRM_SAVAGE is not set

#
# PCMCIA character devices
#
# CONFIG_SYNCLINK_CS is not set
# CONFIG_MWAVE is not set
# CONFIG_RAW_DRIVER is not set
# CONFIG_HPET is not set
# CONFIG_HANGCHECK_TIMER is not set

#
# TPM devices
#
# CONFIG_TCG_TPM is not set

#
# I2C support
#
CONFIG_I2C=y
# CONFIG_I2C_CHARDEV is not set

#
# I2C Algorithms
#
CONFIG_I2C_ALGOBIT=y
# CONFIG_I2C_ALGOPCF is not set
# CONFIG_I2C_ALGOPCA is not set

#
# I2C Hardware Bus support
#
# CONFIG_I2C_ALI1535 is not set
# CONFIG_I2C_ALI1563 is not set
# CONFIG_I2C_ALI15X3 is not set
# CONFIG_I2C_AMD756 is not set
# CONFIG_I2C_AMD8111 is not set
# CONFIG_I2C_I801 is not set
# CONFIG_I2C_I810 is not set
# CONFIG_I2C_PIIX4 is not set
# CONFIG_I2C_NFORCE2 is not set
# CONFIG_I2C_PARPORT is not set
# CONFIG_I2C_PARPORT_LIGHT is not set
# CONFIG_I2C_PROSAVAGE is not set
# CONFIG_I2C_SAVAGE4 is not set
# CONFIG_SCx200_ACB is not set
# CONFIG_I2C_SIS5595 is not set
# CONFIG_I2C_SIS630 is not set
# CONFIG_I2C_SIS96X is not set
# CONFIG_I2C_STUB is not set
# CONFIG_I2C_VIA is not set
# CONFIG_I2C_VIAPRO is not set
# CONFIG_I2C_VOODOO3 is not set
# CONFIG_I2C_PCA_ISA is not set

#
# Miscellaneous I2C Chip support
#
# CONFIG_SENSORS_DS1337 is not set
# CONFIG_SENSORS_DS1374 is not set
# CONFIG_SENSORS_EEPROM is not set
# CONFIG_SENSORS_PCF8574 is not set
# CONFIG_SENSORS_PCA9539 is not set
# CONFIG_SENSORS_PCF8591 is not set
# CONFIG_SENSORS_RTC8564 is not set
# CONFIG_SENSORS_MAX6875 is not set
# CONFIG_I2C_DEBUG_CORE is not set
# CONFIG_I2C_DEBUG_ALGO is not set
# CONFIG_I2C_DEBUG_BUS is not set
# CONFIG_I2C_DEBUG_CHIP is not set

#
# Dallas's 1-wire bus
#
# CONFIG_W1 is not set

#
# Hardware Monitoring support
#
CONFIG_HWMON=y
# CONFIG_HWMON_VID is not set
# CONFIG_SENSORS_ADM1021 is not set
# CONFIG_SENSORS_ADM1025 is not set
# CONFIG_SENSORS_ADM1026 is not set
# CONFIG_SENSORS_ADM1031 is not set
# CONFIG_SENSORS_ADM9240 is not set
# CONFIG_SENSORS_ASB100 is not set
# CONFIG_SENSORS_ATXP1 is not set
# CONFIG_SENSORS_DS1621 is not set
# CONFIG_SENSORS_FSCHER is not set
# CONFIG_SENSORS_FSCPOS is not set
# CONFIG_SENSORS_GL518SM is not set
# CONFIG_SENSORS_GL520SM is not set
# CONFIG_SENSORS_IT87 is not set
# CONFIG_SENSORS_LM63 is not set
# CONFIG_SENSORS_LM75 is not set
# CONFIG_SENSORS_LM77 is not set
# CONFIG_SENSORS_LM78 is not set
# CONFIG_SENSORS_LM80 is not set
# CONFIG_SENSORS_LM83 is not set
# CONFIG_SENSORS_LM85 is not set
# CONFIG_SENSORS_LM87 is not set
# CONFIG_SENSORS_LM90 is not set
# CONFIG_SENSORS_LM92 is not set
# CONFIG_SENSORS_MAX1619 is not set
# CONFIG_SENSORS_PC87360 is not set
# CONFIG_SENSORS_SIS5595 is not set
# CONFIG_SENSORS_SMSC47M1 is not set
# CONFIG_SENSORS_SMSC47B397 is not set
# CONFIG_SENSORS_VIA686A is not set
# CONFIG_SENSORS_W83781D is not set
# CONFIG_SENSORS_W83792D is not set
# CONFIG_SENSORS_W83L785TS is not set
# CONFIG_SENSORS_W83627HF is not set
# CONFIG_SENSORS_W83627EHF is not set
CONFIG_SENSORS_HDAPS=m
# CONFIG_HWMON_DEBUG_CHIP is not set

#
# Misc devices
#
# CONFIG_IBM_ASM is not set

#
# Multimedia Capabilities Port drivers
#

#
# Multimedia devices
#
# CONFIG_VIDEO_DEV is not set

#
# Digital Video Broadcasting Devices
#
# CONFIG_DVB is not set

#
# Graphics support
#
CONFIG_FB=y
CONFIG_FB_CFB_FILLRECT=y
CONFIG_FB_CFB_COPYAREA=y
CONFIG_FB_CFB_IMAGEBLIT=y
CONFIG_FB_SOFT_CURSOR=y
# CONFIG_FB_MACMODES is not set
CONFIG_FB_MODE_HELPERS=y
# CONFIG_FB_TILEBLITTING is not set
# CONFIG_FB_CIRRUS is not set
# CONFIG_FB_PM2 is not set
# CONFIG_FB_CYBER2000 is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_IMSTT is not set
# CONFIG_FB_VGA16 is not set
CONFIG_FB_VESA=y
# CONFIG_FB_VESA_STD is not set
CONFIG_FB_VESA_TNG=y
CONFIG_FB_VESA_DEFAULT_MODE="1400x1050@60"
# CONFIG_VIDEO_SELECT is not set
# CONFIG_FB_HGA is not set
# CONFIG_FB_NVIDIA is not set
# CONFIG_FB_RIVA is not set
# CONFIG_FB_I810 is not set
# CONFIG_FB_INTEL is not set
# CONFIG_FB_MATROX is not set
# CONFIG_FB_RADEON_OLD is not set
CONFIG_FB_RADEON=y
CONFIG_FB_RADEON_I2C=y
# CONFIG_FB_RADEON_DEBUG is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
# CONFIG_FB_SAVAGE is not set
# CONFIG_FB_SIS is not set
# CONFIG_FB_NEOMAGIC is not set
# CONFIG_FB_KYRO is not set
# CONFIG_FB_3DFX is not set
# CONFIG_FB_VOODOO1 is not set
# CONFIG_FB_CYBLA is not set
# CONFIG_FB_TRIDENT is not set
# CONFIG_FB_GEODE is not set
# CONFIG_FB_S1D13XXX is not set
# CONFIG_FB_VIRTUAL is not set

#
# Console display driver support
#
CONFIG_VGA_CONSOLE=y
CONFIG_DUMMY_CONSOLE=y
CONFIG_FRAMEBUFFER_CONSOLE=y
# CONFIG_FONTS is not set
CONFIG_FONT_8x8=y
CONFIG_FONT_8x16=y

#
# Logo configuration
#
# CONFIG_LOGO is not set
# CONFIG_BACKLIGHT_LCD_SUPPORT is not set
# CONFIG_FB_SPLASH is not set

#
# Speakup console speech
#
# CONFIG_SPEAKUP is not set
CONFIG_SPEAKUP_DEFAULT="none"

#
# Sound
#
CONFIG_SOUND=y

#
# Advanced Linux Sound Architecture
#
CONFIG_SND=y
CONFIG_SND_TIMER=m
CONFIG_SND_PCM=m
CONFIG_SND_SEQUENCER=m
# CONFIG_SND_SEQ_DUMMY is not set
CONFIG_SND_OSSEMUL=y
CONFIG_SND_MIXER_OSS=m
CONFIG_SND_PCM_OSS=m
CONFIG_SND_SEQUENCER_OSS=y
# CONFIG_SND_VERBOSE_PRINTK is not set
# CONFIG_SND_DEBUG is not set

#
# Generic devices
#
# CONFIG_SND_DUMMY is not set
# CONFIG_SND_VIRMIDI is not set
# CONFIG_SND_MTPAV is not set
# CONFIG_SND_SERIAL_U16550 is not set
# CONFIG_SND_MPU401 is not set
CONFIG_SND_AC97_CODEC=m
CONFIG_SND_AC97_BUS=m

#
# PCI devices
#
# CONFIG_SND_ALI5451 is not set
# CONFIG_SND_ATIIXP is not set
# CONFIG_SND_ATIIXP_MODEM is not set
# CONFIG_SND_AU8810 is not set
# CONFIG_SND_AU8820 is not set
# CONFIG_SND_AU8830 is not set
# CONFIG_SND_AZT3328 is not set
# CONFIG_SND_BT87X is not set
# CONFIG_SND_CS46XX is not set
# CONFIG_SND_CS4281 is not set
# CONFIG_SND_EMU10K1 is not set
# CONFIG_SND_EMU10K1X is not set
# CONFIG_SND_CA0106 is not set
# CONFIG_SND_KORG1212 is not set
# CONFIG_SND_MIXART is not set
# CONFIG_SND_NM256 is not set
# CONFIG_SND_RME32 is not set
# CONFIG_SND_RME96 is not set
# CONFIG_SND_RME9652 is not set
# CONFIG_SND_HDSP is not set
# CONFIG_SND_HDSPM is not set
# CONFIG_SND_TRIDENT is not set
# CONFIG_SND_YMFPCI is not set
# CONFIG_SND_AD1889 is not set
# CONFIG_SND_ALS4000 is not set
# CONFIG_SND_CMIPCI is not set
# CONFIG_SND_ENS1370 is not set
# CONFIG_SND_ENS1371 is not set
# CONFIG_SND_ES1938 is not set
# CONFIG_SND_ES1968 is not set
# CONFIG_SND_MAESTRO3 is not set
# CONFIG_SND_FM801 is not set
# CONFIG_SND_ICE1712 is not set
# CONFIG_SND_ICE1724 is not set
CONFIG_SND_INTEL8X0=m
# CONFIG_SND_INTEL8X0M is not set
# CONFIG_SND_SONICVIBES is not set
# CONFIG_SND_VIA82XX is not set
# CONFIG_SND_VIA82XX_MODEM is not set
# CONFIG_SND_VX222 is not set
# CONFIG_SND_HDA_INTEL is not set

#
# USB devices
#
# CONFIG_SND_USB_AUDIO is not set
# CONFIG_SND_USB_USX2Y is not set

#
# PCMCIA devices
#

#
# Open Sound System
#
# CONFIG_SOUND_PRIME is not set

#
# USB support
#
CONFIG_USB_ARCH_HAS_HCD=y
CONFIG_USB_ARCH_HAS_OHCI=y
CONFIG_USB=y
# CONFIG_USB_DEBUG is not set

#
# Miscellaneous USB options
#
CONFIG_USB_DEVICEFS=y
# CONFIG_USB_BANDWIDTH is not set
# CONFIG_USB_DYNAMIC_MINORS is not set
# CONFIG_USB_SUSPEND is not set
# CONFIG_USB_OTG is not set

#
# USB Host Controller Drivers
#
CONFIG_USB_EHCI_HCD=m
# CONFIG_USB_EHCI_SPLIT_ISO is not set
# CONFIG_USB_EHCI_ROOT_HUB_TT is not set
# CONFIG_USB_ISP116X_HCD is not set
# CONFIG_USB_OHCI_HCD is not set
CONFIG_USB_UHCI_HCD=m
# CONFIG_USB_SL811_HCD is not set

#
# USB Device Class drivers
#
# CONFIG_OBSOLETE_OSS_USB_DRIVER is not set

#
# USB Bluetooth TTY can only be used with disabled Bluetooth subsystem
#
# CONFIG_USB_ACM is not set
CONFIG_USB_PRINTER=y

#
# NOTE: USB_STORAGE enables SCSI, and 'SCSI disk support' may also be needed;
see USB_STORAGE Help for more information
#
CONFIG_USB_STORAGE=y
# CONFIG_USB_STORAGE_DEBUG is not set
# CONFIG_USB_STORAGE_DATAFAB is not set
# CONFIG_USB_STORAGE_FREECOM is not set
# CONFIG_USB_STORAGE_ISD200 is not set
# CONFIG_USB_STORAGE_DPCM is not set
# CONFIG_USB_STORAGE_USBAT is not set
# CONFIG_USB_STORAGE_SDDR09 is not set
# CONFIG_USB_STORAGE_SDDR55 is not set
# CONFIG_USB_STORAGE_JUMPSHOT is not set

#
# USB Input Devices
#
CONFIG_USB_HID=y
CONFIG_USB_HIDINPUT=y
# CONFIG_HID_FF is not set
# CONFIG_USB_HIDDEV is not set
# CONFIG_USB_AIPTEK is not set
# CONFIG_USB_WACOM is not set
# CONFIG_USB_ACECAD is not set
# CONFIG_USB_KBTAB is not set
# CONFIG_USB_POWERMATE is not set
# CONFIG_USB_MTOUCH is not set
# CONFIG_USB_ITMTOUCH is not set
# CONFIG_USB_EGALAX is not set
# CONFIG_USB_YEALINK is not set
# CONFIG_USB_XPAD is not set
# CONFIG_USB_ATI_REMOTE is not set
# CONFIG_USB_KEYSPAN_REMOTE is not set
# CONFIG_USB_APPLETOUCH is not set

#
# USB Imaging devices
#
# CONFIG_USB_MDC800 is not set
# CONFIG_USB_MICROTEK is not set

#
# USB Multimedia devices
#
# CONFIG_USB_DABUSB is not set

#
# Video4Linux support is needed for USB Multimedia device support
#

#
# USB Network Adapters
#
# CONFIG_USB_CATC is not set
# CONFIG_USB_KAWETH is not set
# CONFIG_USB_PEGASUS is not set
# CONFIG_USB_RTL8150 is not set
# CONFIG_USB_USBNET is not set
# CONFIG_USB_ZD1201 is not set
CONFIG_USB_MON=y

#
# USB port drivers
#
# CONFIG_USB_USS720 is not set

#
# USB Serial Converter support
#
# CONFIG_USB_SERIAL is not set

#
# USB Miscellaneous drivers
#
# CONFIG_USB_EMI62 is not set
# CONFIG_USB_EMI26 is not set
# CONFIG_USB_AUERSWALD is not set
# CONFIG_USB_RIO500 is not set
# CONFIG_USB_LEGOTOWER is not set
# CONFIG_USB_LCD is not set
# CONFIG_USB_LED is not set
# CONFIG_USB_CYTHERM is not set
# CONFIG_USB_PHIDGETKIT is not set
# CONFIG_USB_PHIDGETSERVO is not set
# CONFIG_USB_IDMOUSE is not set
# CONFIG_USB_SISUSBVGA is not set
# CONFIG_USB_LD is not set
# CONFIG_USB_TEST is not set

#
# USB DSL modem support
#

#
# USB Gadget Support
#
# CONFIG_USB_GADGET is not set

#
# MMC/SD Card support
#
# CONFIG_MMC is not set

#
# InfiniBand support
#
# CONFIG_INFINIBAND is not set

#
# SN Devices
#

#
# File systems
#
CONFIG_EXT2_FS=y
# CONFIG_EXT2_FS_XATTR is not set
# CONFIG_EXT2_FS_XIP is not set
CONFIG_EXT3_FS=y
CONFIG_EXT3_FS_XATTR=y
# CONFIG_EXT3_FS_POSIX_ACL is not set
# CONFIG_EXT3_FS_SECURITY is not set
CONFIG_JBD=y
# CONFIG_JBD_DEBUG is not set
CONFIG_FS_MBCACHE=y
CONFIG_REISERFS_FS=y
# CONFIG_REISERFS_CHECK is not set
# CONFIG_REISERFS_PROC_INFO is not set
# CONFIG_REISERFS_FS_XATTR is not set
# CONFIG_JFS_FS is not set
# CONFIG_FS_POSIX_ACL is not set
# CONFIG_XFS_FS is not set
# CONFIG_MINIX_FS is not set
# CONFIG_ROMFS_FS is not set
CONFIG_INOTIFY=y
# CONFIG_QUOTA is not set
CONFIG_DNOTIFY=y
# CONFIG_AUTOFS_FS is not set
CONFIG_AUTOFS4_FS=m
# CONFIG_FUSE_FS is not set

#
# CD-ROM/DVD Filesystems
#
CONFIG_ISO9660_FS=y
CONFIG_JOLIET=y
# CONFIG_ZISOFS is not set
CONFIG_UDF_FS=y
CONFIG_UDF_NLS=y

#
# DOS/FAT/NT Filesystems
#
CONFIG_FAT_FS=y
# CONFIG_MSDOS_FS is not set
CONFIG_VFAT_FS=y
CONFIG_FAT_DEFAULT_CODEPAGE=437
CONFIG_FAT_DEFAULT_IOCHARSET="iso8859-1"
CONFIG_NTFS_FS=m
# CONFIG_NTFS_DEBUG is not set
# CONFIG_NTFS_RW is not set

#
# Pseudo filesystems
#
CONFIG_PROC_FS=y
CONFIG_PROC_KCORE=y
CONFIG_SYSFS=y
CONFIG_TMPFS=y
# CONFIG_HUGETLBFS is not set
# CONFIG_HUGETLB_PAGE is not set
CONFIG_RAMFS=y
# CONFIG_RELAYFS_FS is not set

#
# Miscellaneous filesystems
#
# CONFIG_ADFS_FS is not set
# CONFIG_AFFS_FS is not set
# CONFIG_HFS_FS is not set
# CONFIG_HFSPLUS_FS is not set
# CONFIG_BEFS_FS is not set
# CONFIG_BFS_FS is not set
# CONFIG_EFS_FS is not set
# CONFIG_CRAMFS is not set
# CONFIG_SQUASHFS is not set
# CONFIG_VXFS_FS is not set
# CONFIG_HPFS_FS is not set
# CONFIG_QNX4FS_FS is not set
# CONFIG_SYSV_FS is not set
# CONFIG_UFS_FS is not set

#
# Network File Systems
#
CONFIG_NFS_FS=y
CONFIG_NFS_V3=y
# CONFIG_NFS_V3_ACL is not set
# CONFIG_NFS_V4 is not set
# CONFIG_NFS_DIRECTIO is not set
CONFIG_NFSD=y
CONFIG_NFSD_V3=y
# CONFIG_NFSD_V3_ACL is not set
# CONFIG_NFSD_V4 is not set
CONFIG_NFSD_TCP=y
CONFIG_LOCKD=y
CONFIG_LOCKD_V4=y
CONFIG_EXPORTFS=y
CONFIG_NFS_COMMON=y
CONFIG_SUNRPC=y
# CONFIG_RPCSEC_GSS_KRB5 is not set
# CONFIG_RPCSEC_GSS_SPKM3 is not set
CONFIG_SMB_FS=y
# CONFIG_SMB_NLS_DEFAULT is not set
# CONFIG_CIFS is not set
# CONFIG_NCP_FS is not set
# CONFIG_CODA_FS is not set
# CONFIG_AFS_FS is not set
# CONFIG_9P_FS is not set

#
# Partition Types
#
# CONFIG_PARTITION_ADVANCED is not set
CONFIG_MSDOS_PARTITION=y

#
# Native Language Support
#
CONFIG_NLS=y
CONFIG_NLS_DEFAULT="utf8"
CONFIG_NLS_CODEPAGE_437=y
# CONFIG_NLS_CODEPAGE_737 is not set
# CONFIG_NLS_CODEPAGE_775 is not set
# CONFIG_NLS_CODEPAGE_850 is not set
# CONFIG_NLS_CODEPAGE_852 is not set
# CONFIG_NLS_CODEPAGE_855 is not set
# CONFIG_NLS_CODEPAGE_857 is not set
# CONFIG_NLS_CODEPAGE_860 is not set
# CONFIG_NLS_CODEPAGE_861 is not set
# CONFIG_NLS_CODEPAGE_862 is not set
# CONFIG_NLS_CODEPAGE_863 is not set
# CONFIG_NLS_CODEPAGE_864 is not set
# CONFIG_NLS_CODEPAGE_865 is not set
# CONFIG_NLS_CODEPAGE_866 is not set
# CONFIG_NLS_CODEPAGE_869 is not set
# CONFIG_NLS_CODEPAGE_936 is not set
CONFIG_NLS_CODEPAGE_950=y
CONFIG_NLS_CODEPAGE_932=y
CONFIG_NLS_CODEPAGE_949=y
# CONFIG_NLS_CODEPAGE_874 is not set
# CONFIG_NLS_ISO8859_8 is not set
# CONFIG_NLS_CODEPAGE_1250 is not set
# CONFIG_NLS_CODEPAGE_1251 is not set
# CONFIG_NLS_ASCII is not set
CONFIG_NLS_ISO8859_1=y
# CONFIG_NLS_ISO8859_2 is not set
# CONFIG_NLS_ISO8859_3 is not set
# CONFIG_NLS_ISO8859_4 is not set
# CONFIG_NLS_ISO8859_5 is not set
# CONFIG_NLS_ISO8859_6 is not set
# CONFIG_NLS_ISO8859_7 is not set
# CONFIG_NLS_ISO8859_9 is not set
# CONFIG_NLS_ISO8859_13 is not set
# CONFIG_NLS_ISO8859_14 is not set
# CONFIG_NLS_ISO8859_15 is not set
# CONFIG_NLS_KOI8_R is not set
# CONFIG_NLS_KOI8_U is not set
CONFIG_NLS_UTF8=y

#
# Profiling support
#
CONFIG_PROFILING=y
CONFIG_OPROFILE=y

#
# Kernel hacking
#
# CONFIG_PRINTK_TIME is not set
# CONFIG_DEBUG_KERNEL is not set
CONFIG_LOG_BUF_SHIFT=14
CONFIG_DEBUG_BUGVERBOSE=y
CONFIG_EARLY_PRINTK=y

#
# Security options
#
# CONFIG_KEYS is not set
# CONFIG_SECURITY is not set

#
# Cryptographic options
#
CONFIG_CRYPTO=y
CONFIG_CRYPTO_HMAC=y
# CONFIG_CRYPTO_NULL is not set
# CONFIG_CRYPTO_MD4 is not set
CONFIG_CRYPTO_MD5=y
# CONFIG_CRYPTO_SHA1 is not set
# CONFIG_CRYPTO_SHA256 is not set
# CONFIG_CRYPTO_SHA512 is not set
# CONFIG_CRYPTO_WP512 is not set
# CONFIG_CRYPTO_TGR192 is not set
# CONFIG_CRYPTO_DES is not set
# CONFIG_CRYPTO_BLOWFISH is not set
# CONFIG_CRYPTO_TWOFISH is not set
# CONFIG_CRYPTO_SERPENT is not set
CONFIG_CRYPTO_AES_586=y
# CONFIG_CRYPTO_CAST5 is not set
# CONFIG_CRYPTO_CAST6 is not set
# CONFIG_CRYPTO_TEA is not set
# CONFIG_CRYPTO_ARC4 is not set
# CONFIG_CRYPTO_KHAZAD is not set
# CONFIG_CRYPTO_ANUBIS is not set
# CONFIG_CRYPTO_DEFLATE is not set
CONFIG_CRYPTO_MICHAEL_MIC=y
# CONFIG_CRYPTO_CRC32C is not set
# CONFIG_CRYPTO_TEST is not set

#
# Hardware crypto devices
#
# CONFIG_CRYPTO_DEV_PADLOCK is not set

#
# Library routines
#
CONFIG_CRC_CCITT=m
# CONFIG_CRC16 is not set
CONFIG_CRC32=y
CONFIG_LIBCRC32C=m
CONFIG_GENERIC_HARDIRQS=y
CONFIG_GENERIC_IRQ_PROBE=y
CONFIG_X86_BIOS_REBOOT=y
CONFIG_PC=y
Comment 3 Yang Zhao 2005-11-29 02:11:12 UTC
For some strange reason, networking also becomes unresponsive when screen is
frozen. From the looks of it, this happens right after X "shuts down". tty,
however, is perfectly responsive, and I'm able to reboot typing blind.

Xog.0.log:
X Window System Version 6.8.2
Release Date: 9 February 2005
X Protocol Version 11, Revision 0, Release 6.8.2
Build Operating System: Linux 2.6.14-gentoo-r2 i686 [ELF]
Current Operating System: Linux fuu 2.6.14-gentoo-r2 #1 PREEMPT Sun Nov 13 15:39:1
9 PST 2005 i686
Build Date: 27 November 2005
        Before reporting problems, check http://wiki.X.Org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Nov 29 01:59:49 2005
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Main" (0)
(**) |   |-->Monitor "Laptop LCD"
(**) |   |-->Device "ATI Mobility Radeon 9000"
(**) |-->Input Device "Mouse1"
(**) |-->Input Device "Keyboard1"
(**) FontPath set to "/usr/share/fonts/misc/,/usr/share/fonts/TTF/,/usr/share/font
s/Type1/,/usr/share/fonts/CID/,/usr/share/fonts/75dpi/,/usr/share/fonts/100dpi/,/u
sr/share/fonts/local/,/usr/share/fonts/Speedo/,/usr/share/fonts/arphicfonts/,/usr/
share/fonts/cyrillic/,/usr/share/fonts/kochi-substitute/,/usr/share/fonts/ukr/"
(**) RgbPath set to "/usr/lib/X11/rgb"
(==) ModulePath set to "/usr/lib/modules"
(**) Option "BlankTime" "0"
(**) Option "StandbyTime" "0"
(**) Option "SuspendTime" "0"
(**) Option "OffTime" "0"
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.2
        X.Org Video Driver: 0.7
        X.Org XInput driver : 0.4
        X.Org Server Extension : 0.2
        X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/modules/libpcidata.a
(II) Module pcidata: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
Using vt 7
(--) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,3340 card 1014,0529 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,3341 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:1d:0: chip 8086,24c2 card 1014,052d rev 01 class 0c,03,00 hdr 80
(II) PCI: 00:1d:1: chip 8086,24c4 card 1014,052d rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1d:2: chip 8086,24c7 card 1014,052d rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1d:7: chip 8086,24cd card 1014,052e rev 01 class 0c,03,20 hdr 00
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 81 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,24cc card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,24ca card 1014,052d rev 01 class 01,01,8a hdr 00
(II) PCI: 00:1f:3: chip 8086,24c3 card 1014,052d rev 01 class 0c,05,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,24c5 card 1014,0554 rev 01 class 04,01,00 hdr 00
(II) PCI: 00:1f:6: chip 8086,24c6 card 1014,0559 rev 01 class 07,03,00 hdr 00
(II) PCI: 01:00:0: chip 1002,4c66 card 1014,0531 rev 02 class 03,00,00 hdr 00
(II) PCI: 02:00:0: chip 104c,ac46 card 4000,0000 rev 01 class 06,07,00 hdr 82
(II) PCI: 02:00:2: chip 104c,802a card 1014,0553 rev 01 class 0c,00,10 hdr 80
(II) PCI: 02:01:0: chip 8086,101e card 1014,0549 rev 03 class 02,00,00 hdr 00
(II) PCI: 02:02:0: chip 168c,1014 card 17ab,8331 rev 01 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,3), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000c (VGA_EN is set)
(II) Bus 1 I/O range:
        [0] -1  0       0x00003000 - 0x000030ff (0x100) IX[B]
        [1] -1  0       0x00003400 - 0x000034ff (0x100) IX[B]
        [2] -1  0       0x00003800 - 0x000038ff (0x100) IX[B]
        [3] -1  0       0x00003c00 - 0x00003cff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0       0xc0100000 - 0xc01fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
        [0] -1  0       0xe0000000 - 0xe7ffffff (0x8000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:30:0), (0,2,5), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 2 I/O range:
        [0] -1  0       0x00004000 - 0x000040ff (0x100) IX[B]
        [1] -1  0       0x00004400 - 0x000044ff (0x100) IX[B]
        [2] -1  0       0x00004800 - 0x000048ff (0x100) IX[B]
        [3] -1  0       0x00004c00 - 0x00004cff (0x100) IX[B]
        [4] -1  0       0x00005000 - 0x000050ff (0x100) IX[B]
        [5] -1  0       0x00005400 - 0x000054ff (0x100) IX[B]
        [6] -1  0       0x00005800 - 0x000058ff (0x100) IX[B]
        [7] -1  0       0x00005c00 - 0x00005cff (0x100) IX[B]
        [8] -1  0       0x00006000 - 0x000060ff (0x100) IX[B]
        [9] -1  0       0x00006400 - 0x000064ff (0x100) IX[B]
        [10] -1 0       0x00006800 - 0x000068ff (0x100) IX[B]
        [11] -1 0       0x00006c00 - 0x00006cff (0x100) IX[B]
        [12] -1 0       0x00007000 - 0x000070ff (0x100) IX[B]
        [13] -1 0       0x00007400 - 0x000074ff (0x100) IX[B]
        [14] -1 0       0x00007800 - 0x000078ff (0x100) IX[B]
        [15] -1 0       0x00007c00 - 0x00007cff (0x100) IX[B]
        [16] -1 0       0x00008000 - 0x000080ff (0x100) IX[B]
        [17] -1 0       0x00008400 - 0x000084ff (0x100) IX[B]
        [18] -1 0       0x00008800 - 0x000088ff (0x100) IX[B]
        [19] -1 0       0x00008c00 - 0x00008cff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
        [0] -1  0       0xc0200000 - 0xcfffffff (0xfe00000) MX[B]
(II) Bus 2 prefetchable memory range:
        [0] -1  0       0xe8000000 - 0xefffffff (0x8000000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-CardBus bridge:
(II) Bus 3: bridge is at (2:0:0), (2,3,6), BCTRL: 0x03c0 (VGA_EN is cleared)
(II) Bus 3 I/O range:
        [0] -1  0       0x00004000 - 0x000040ff (0x100) IX[B]
        [1] -1  0       0x00004400 - 0x000044ff (0x100) IX[B]
(II) Bus 3 prefetchable memory range:
        [0] -1  0       0xe8000000 - 0xe9ffffff (0x2000000) MX[B]
(--) PCI:*(1:0:0) ATI Technologies Inc Radeon R250 Lf [Radeon Mobility 9000 M9] re
v 2, Mem @ 0xe0000000/27, 0xc0100000/16, I/O @ 0x3000/8
(II) Addressable bus resource ranges are
        [0] -1  0       0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xd0000000 from 0xdfffffff to 0xcfffffff
(II) Active PCI resource ranges:
        [0] -1  0       0xc0210000 - 0xc021ffff (0x10000) MX[B]
        [1] -1  0       0xc0200000 - 0xc020ffff (0x10000) MX[B]
        [2] -1  0       0xc0240000 - 0xc025ffff (0x20000) MX[B]
        [3] -1  0       0xc0220000 - 0xc0223fff (0x4000) MX[B]
        [4] -1  0       0xc0224000 - 0xc02247ff (0x800) MX[B]
        [5] -1  0       0xc0000800 - 0xc00008ff (0x100) MX[B]
        [6] -1  0       0xc0000c00 - 0xc0000dff (0x200) MX[B]
        [7] -1  0       0x30000000 - 0x300003ff (0x400) MX[B]
        [8] -1  0       0xc0000000 - 0xc00003ff (0x400) MX[B]
        [9] -1  0       0xd0000000 - 0xcfffffff (0x0) MX[B]O
        [10] -1 0       0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
        [11] -1 0       0xe0000000 - 0xe7ffffff (0x8000000) MX[B](B)
        [12] -1 0       0x00008000 - 0x0000803f (0x40) IX[B]
        [13] -1 0       0x00002000 - 0x0000207f (0x80) IX[B]
        [14] -1 0       0x00002400 - 0x000024ff (0x100) IX[B]
        [15] -1 0       0x000018c0 - 0x000018ff (0x40) IX[B]
        [16] -1 0       0x00001c00 - 0x00001cff (0x100) IX[B]
        [17] -1 0       0x00001880 - 0x0000189f (0x20) IX[B]
        [18] -1 0       0x00001860 - 0x0000186f (0x10) IX[B]
        [19] -1 0       0x00001840 - 0x0000185f (0x20) IX[B]
        [20] -1 0       0x00001820 - 0x0000183f (0x20) IX[B]
        [21] -1 0       0x00001800 - 0x0000181f (0x20) IX[B]
        [22] -1 0       0x00003000 - 0x000030ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0       0xc0210000 - 0xc021ffff (0x10000) MX[B]
        [1] -1  0       0xc0200000 - 0xc020ffff (0x10000) MX[B]
        [2] -1  0       0xc0240000 - 0xc025ffff (0x20000) MX[B]
        [3] -1  0       0xc0220000 - 0xc0223fff (0x4000) MX[B]
        [4] -1  0       0xc0224000 - 0xc02247ff (0x800) MX[B]
        [5] -1  0       0xc0000800 - 0xc00008ff (0x100) MX[B]
        [6] -1  0       0xc0000c00 - 0xc0000dff (0x200) MX[B]
        [7] -1  0       0x30000000 - 0x300003ff (0x400) MX[B]
        [8] -1  0       0xc0000000 - 0xc00003ff (0x400) MX[B]
        [9] -1  0       0xd0000000 - 0xcfffffff (0x0) MX[B]O
        [10] -1 0       0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
        [11] -1 0       0xe0000000 - 0xe7ffffff (0x8000000) MX[B](B)
        [12] -1 0       0x00008000 - 0x0000803f (0x40) IX[B]
        [13] -1 0       0x00002000 - 0x0000207f (0x80) IX[B]
        [14] -1 0       0x00002400 - 0x000024ff (0x100) IX[B]
        [15] -1 0       0x000018c0 - 0x000018ff (0x40) IX[B]
        [16] -1 0       0x00001c00 - 0x00001cff (0x100) IX[B]
        [17] -1 0       0x00001880 - 0x0000189f (0x20) IX[B]
        [18] -1 0       0x00001860 - 0x0000186f (0x10) IX[B]
        [19] -1 0       0x00001840 - 0x0000185f (0x20) IX[B]
        [20] -1 0       0x00001820 - 0x0000183f (0x20) IX[B]
        [21] -1 0       0x00001800 - 0x0000181f (0x20) IX[B]
        [22] -1 0       0x00003000 - 0x000030ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xc0210000 - 0xc021ffff (0x10000) MX[B]
        [6] -1  0       0xc0200000 - 0xc020ffff (0x10000) MX[B]
        [7] -1  0       0xc0240000 - 0xc025ffff (0x20000) MX[B]
        [8] -1  0       0xc0220000 - 0xc0223fff (0x4000) MX[B]
        [9] -1  0       0xc0224000 - 0xc02247ff (0x800) MX[B]
        [10] -1 0       0xc0000800 - 0xc00008ff (0x100) MX[B]
        [11] -1 0       0xc0000c00 - 0xc0000dff (0x200) MX[B]
        [12] -1 0       0x30000000 - 0x300003ff (0x400) MX[B]
        [13] -1 0       0xc0000000 - 0xc00003ff (0x400) MX[B]
        [14] -1 0       0xd0000000 - 0xcfffffff (0x0) MX[B]O
        [15] -1 0       0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
        [16] -1 0       0xe0000000 - 0xe7ffffff (0x8000000) MX[B](B)
        [17] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [18] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [19] -1 0       0x00008000 - 0x0000803f (0x40) IX[B]
        [20] -1 0       0x00002000 - 0x0000207f (0x80) IX[B]
        [21] -1 0       0x00002400 - 0x000024ff (0x100) IX[B]
        [22] -1 0       0x000018c0 - 0x000018ff (0x40) IX[B]
        [23] -1 0       0x00001c00 - 0x00001cff (0x100) IX[B]
        [24] -1 0       0x00001880 - 0x0000189f (0x20) IX[B]
        [25] -1 0       0x00001860 - 0x0000186f (0x10) IX[B]
        [26] -1 0       0x00001840 - 0x0000185f (0x20) IX[B]
        [27] -1 0       0x00001820 - 0x0000183f (0x20) IX[B]
        [28] -1 0       0x00001800 - 0x0000181f (0x20) IX[B]
        [29] -1 0       0x00003000 - 0x000030ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "type1"
(II) Loading /usr/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.2
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "freetype"
(II) Loading /usr/lib/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
        compiled for 6.8.2, module version = 2.1.0
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/modules/extensions/libglx.a
(II) Module glx: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "dri"
(II) Loading /usr/lib/modules/extensions/libdri.a
(II) Module dri: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/lib/modules/linux/libdrm.a
(II) Module drm: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "fglrx"
(II) Loading /usr/lib/modules/drivers/fglrx_drv.o
(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
        compiled for 6.8.0, module version = 8.19.10
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 0.7
(II) LoadModule: "mouse"
(II) Loading /usr/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 0.4
(II) LoadModule: "kbd"
(II) Loading /usr/lib/modules/input/kbd_drv.o
(II) Module kbd: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 0.4
(II) ATI Radeon/FireGL: The following chipsets are supported:
        RADEON 9000/9000 PRO (RV250 4966), RADEON 9000 LE (RV250 4967),
        MOBILITY FireGL 9000 (M9 4C64), MOBILITY RADEON 9000 (M9 4C66),
        RADEON 9000 PRO (D9 4C67), RADEON 9250 (RV280 5960),
        RADEON 9200 (RV280 5961), RADEON 9200 SE (RV280 5964),
        MOBILITY RADEON 9200 (M9+ 5C61), MOBILITY RADEON 9200 (M9+ 5C63),
        FireGL 8800 (R200 5148), RADEON 8500 (R200 514C),
        RADEON 9100 (R200 514D), RADEON 8500 AIW (R200 4242),
        RADEON 9600 (RV350 4150), RADEON 9600 SE (RV350 4151),
        RADEON 9600 PRO (RV360 4152),
        MOBILITY RADEON 9600/9700 (M10/M11 4E50),
        MOBILITY RADEON 9550 (M12 4E56), RADEON 9500 (R300 4144),
        RADEON 9600 TX (R300 4146), FireGL Z1 (R300 4147),
        RADEON 9700 PRO (R300 4E44), RADEON 9500 PRO/9700 (R300 4E45),
        RADEON 9600 TX (R300 4E46), FireGL X1 (R300 4E47),
        RADEON 9800 SE (R350 4148), RADEON 9550 (RV350 4153),
        FireGL T2 (RV350 4154), RADEON 9800 PRO (R350 4E48),
        RADEON 9800 (R350 4E49), RADEON 9800 XT (R360 4E4A),
        FireGL X2-256/X2-256t (R350 4E4B),
        MOBILITY FireGL T2/T2e (M10/M11 4E54), RADEON X300 (RV370 5B60),
        RADEON X600 (RV380 5B62), RADEON X550 (RV370 5B63),
        FireGL V3100 (RV370 5B64), FireMV 2200 (RV370 5B65),
        MOBILITY RADEON X300 (M22 5460), MOBILITY FireGL V3100 (M22 5464),
        RADEON X600 (RV380 3E50), FireGL V3200 (RV380 3E54),
        MOBILITY RADEON X600 (M24 3150), MOBILITY RADEON X300 (M22 3152),
        MOBILITY FireGL V3200 (M24 3154), RADEON X800 (R420 4A48),
        RADEON X800 PRO (R420 4A49), RADEON X800 SE (R420 4A4A),
        RADEON X800 XT (R420 4A4B), RADEON X800 (R420 4A4C),
        FireGL X3-256 (R420 4A4D), MOBILITY RADEON 9800 (M18 4A4E),
        RADEON X800 XT Platinum Edition (R420 4A50), RADEON X800 (R423 5548),
        RADEON X800 PRO (R423 5549),
        RADEON X800 XT Platinum Edition (R423 554A),
        RADEON X800 SE (R423 554B), RADEON X800 XT (R423 5D57),
        FireGL V7100 (R423 5550), FireGL V5100 (R423 5551),
        MOBILITY RADEON X800 XT (M28 5D48), MOBILITY FireGL V5100 (M28 5D49),
        RADEON X800 XL (R430 554D), RADEON X800 (R430 554F),
        RADEON X850 XT Platinum Edition (R480 5D4D),
        RADEON X850 PRO (R480 5D4F), RADEON X850 XT (R480 5D52),
        MOBILITY FireGL V5000 (M26 564A), MOBILITY FireGL V5000 (M26 564B),
        FireGL V5000 (RV410 5E48), FireGL V3300 (RV410 5E49),
        RADEON X700 XT (RV410 5E4A), RADEON X700 PRO (RV410 5E4B),
        RADEON X700 SE (RV410 5E4C), RADEON X700 (RV410 5E4D),
        RADEON X700 (RV410 5E4F), MOBILITY RADEON X700 (M26 5652),
        MOBILITY RADEON X700 (M26 5653), MOBILITY RADEON X700 XL,
        RADEON 9100 IGP (RS300 5834),
        RADEON 9000 PRO/9100 PRO IGP (RS350 7834),
        MOBILITY RADEON 9000/9100 IGP (RS300M 5835),
        RADEON XPRESS 200 (RS400 5A41), RADEON XPRESS 200M (RS400 5A42),
        RADEON XPRESS 200 (RS480 5954), RADEON XPRESS 200M (RS480 5955),
        RADEON XPRESS 200 (RS482 5974), RADEON XPRESS 200M (RS482 5975),
        RADEON XPRESS 200 (RC410 5A61), RADEON XPRESS 200M (RC410 5A62)
(II) Primary Device is: PCI 01:00:0
(II) ATI Proprietary Linux Driver Version Identifier:8.19.10
(II) ATI Proprietary Linux Driver Release Identifier: LGDr8.19g1

(II) ATI Proprietary Linux Driver Build Date: Nov  9 2005 17:51:16
(II) ATI Proprietary Linux Driver Build Information: autobuild-rel-r6-8.19.1-drive
r-lnx-226030
(--) Assigning device section with no busID to primary device
(--) Chipset MOBILITY RADEON 9000 (M9 4C66) found
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xc0210000 - 0xc021ffff (0x10000) MX[B]
        [6] -1  0       0xc0200000 - 0xc020ffff (0x10000) MX[B]
        [7] -1  0       0xc0240000 - 0xc025ffff (0x20000) MX[B]
        [8] -1  0       0xc0220000 - 0xc0223fff (0x4000) MX[B]
        [9] -1  0       0xc0224000 - 0xc02247ff (0x800) MX[B]
        [10] -1 0       0xc0000800 - 0xc00008ff (0x100) MX[B]
        [11] -1 0       0xc0000c00 - 0xc0000dff (0x200) MX[B]
        [12] -1 0       0x30000000 - 0x300003ff (0x400) MX[B]
        [13] -1 0       0xc0000000 - 0xc00003ff (0x400) MX[B]
        [14] -1 0       0xd0000000 - 0xcfffffff (0x0) MX[B]O
        [15] -1 0       0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
        [16] -1 0       0xe0000000 - 0xe7ffffff (0x8000000) MX[B](B)
        [17] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [18] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [19] -1 0       0x00008000 - 0x0000803f (0x40) IX[B]
        [20] -1 0       0x00002000 - 0x0000207f (0x80) IX[B]
        [21] -1 0       0x00002400 - 0x000024ff (0x100) IX[B]
        [22] -1 0       0x000018c0 - 0x000018ff (0x40) IX[B]
        [23] -1 0       0x00001c00 - 0x00001cff (0x100) IX[B]
        [24] -1 0       0x00001880 - 0x0000189f (0x20) IX[B]
        [25] -1 0       0x00001860 - 0x0000186f (0x10) IX[B]
        [26] -1 0       0x00001840 - 0x0000185f (0x20) IX[B]
        [27] -1 0       0x00001820 - 0x0000183f (0x20) IX[B]
        [28] -1 0       0x00001800 - 0x0000181f (0x20) IX[B]
        [29] -1 0       0x00003000 - 0x000030ff (0x100) IX[B](B)
(II) fglrx(0): pEnt->device->identifier=0x8228540
(II) resource ranges after probing:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xc0210000 - 0xc021ffff (0x10000) MX[B]
        [6] -1  0       0xc0200000 - 0xc020ffff (0x10000) MX[B]
        [7] -1  0       0xc0240000 - 0xc025ffff (0x20000) MX[B]
        [8] -1  0       0xc0220000 - 0xc0223fff (0x4000) MX[B]
        [9] -1  0       0xc0224000 - 0xc02247ff (0x800) MX[B]
        [10] -1 0       0xc0000800 - 0xc00008ff (0x100) MX[B]
        [11] -1 0       0xc0000c00 - 0xc0000dff (0x200) MX[B]
        [12] -1 0       0x30000000 - 0x300003ff (0x400) MX[B]
        [13] -1 0       0xc0000000 - 0xc00003ff (0x400) MX[B]
        [14] -1 0       0xd0000000 - 0xcfffffff (0x0) MX[B]O
        [15] -1 0       0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
        [16] -1 0       0xe0000000 - 0xe7ffffff (0x8000000) MX[B](B)
        [17] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B]
        [18] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [19] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B]
        [20] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [21] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [22] -1 0       0x00008000 - 0x0000803f (0x40) IX[B]
        [23] -1 0       0x00002000 - 0x0000207f (0x80) IX[B]
        [24] -1 0       0x00002400 - 0x000024ff (0x100) IX[B]
        [25] -1 0       0x000018c0 - 0x000018ff (0x40) IX[B]
        [26] -1 0       0x00001c00 - 0x00001cff (0x100) IX[B]
        [27] -1 0       0x00001880 - 0x0000189f (0x20) IX[B]
        [28] -1 0       0x00001860 - 0x0000186f (0x10) IX[B]
        [29] -1 0       0x00001840 - 0x0000185f (0x20) IX[B]
        [30] -1 0       0x00001820 - 0x0000183f (0x20) IX[B]
        [31] -1 0       0x00001800 - 0x0000181f (0x20) IX[B]
        [32] -1 0       0x00003000 - 0x000030ff (0x100) IX[B](B)
        [33] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B]
        [34] 0  0       0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) fglrx(0): === [R200PreInit] === begin, [s]
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/modules/libvgahw.a
(II) Module vgahw: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 0.1.0
        ABI class: X.Org Video Driver, version 0.7
(II) fglrx(0): PCI bus 1 card 0 func 0
(**) fglrx(0): Depth 24, (--) framebuffer bpp 32
(II) fglrx(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) fglrx(0): Default visual is TrueColor
(==) fglrx(0): RGB weight 888
(II) fglrx(0): Using 8 bits per RGB (8 bit DAC)
(==) fglrx(0): Gamma Correction for I is 0x06419064
(==) fglrx(0): Gamma Correction for II is 0x06419064
(==) fglrx(0): Buffer Tiling is ON
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/modules/linux/libint10.a
(II) Module int10: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
(II) fglrx(0): Primary V_BIOS segment is: 0xc000
(--) fglrx(0): Chipset: "MOBILITY RADEON 9000 (M9 4C66)" (Chipset = 0x4c66)
(--) fglrx(0): (PciSubVendor = 0x1014, PciSubDevice = 0x0531)
(--) fglrx(0): board vendor info: third party graphics adapter - NOT original ATI
(--) fglrx(0): Linear framebuffer (phys) at 0xe0000000
(--) fglrx(0): MMIO registers at 0xc0100000
(==) fglrx(0): ROM-BIOS at 0x000c0000
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/modules/libvbe.a
(II) Module vbe: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.1.0
        ABI class: X.Org Video Driver, version 0.7
(II) fglrx(0): VESA BIOS detected
(II) fglrx(0): VESA VBE Version 2.0
(II) fglrx(0): VESA VBE Total Mem: 32704 kB
(II) fglrx(0): VESA VBE OEM: ATI MOBILITY RADEON 9000
(II) fglrx(0): VESA VBE OEM Software Rev: 1.0
(II) fglrx(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) fglrx(0): VESA VBE OEM Product: M9
(II) fglrx(0): VESA VBE OEM Product Rev: 01.00
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Reloading /usr/lib/modules/linux/libdrm.a
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (Unknown error 999)
drmOpenDevice: open result is -1, (Unknown error 999)
drmOpenDevice: Open failed
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmGetBusid returned ''
(--) fglrx(0): VideoRAM: 32768 kByte, Type: DDR SGRAM / SDRAM
(II) fglrx(0): AGP card detected
(WW) fglrx(0): board is an unknown third party board, chipset is supported
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/lib/modules/libddc.a
(II) Module ddc: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.7
(II) fglrx(0): Connected Display1: LCD on internal LVDS
(II) fglrx(0):  Display1: No EDID information from DDC.
(II) fglrx(0): Derived EDID from BIOS and internal tables for Display1:
(II) fglrx(0): Display1 EDID data ---------------------------
(II) fglrx(0): Manufacturer: MS_  Model: 0  Serial#: 0
(II) fglrx(0): Year: 1990  Week: 0
(II) fglrx(0): EDID Version: 1.3
(II) fglrx(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) fglrx(0): Sync:Serration on. V.Sync Pulse req. if CompSync or SyncOnGreen
(II) fglrx(0): Max H-Image Size [cm]: horiz.: 40  vert.: 30
(II) fglrx(0): Gamma: 1.00
(II) fglrx(0): DPMS capabilities: StandBy Suspend Off; Non RGB Multicolor Display
(II) fglrx(0): First detailed timing is preferred mode
(II) fglrx(0): redX: 0.000 redY: 0.000   greenX: 0.000 greenY: 0.000
(II) fglrx(0): blueX: 0.000 blueY: 0.000   whiteX: 0.000 whiteY: 0.000
(II) fglrx(0): Supported VESA Video Modes:
(II) fglrx(0): 640x480@60Hz
(II) fglrx(0): 800x600@60Hz
(II) fglrx(0): 1024x768@60Hz
(II) fglrx(0): Manufacturer's mask: 0
(II) fglrx(0): Supported Future Video Modes:
(II) fglrx(0): #0: hsize: 640  vsize 480  refresh: 60  vid: 16433
(II) fglrx(0): #1: hsize: 800  vsize 600  refresh: 60  vid: 16453
(II) fglrx(0): #2: hsize: 1024  vsize 768  refresh: 60  vid: 16481
(II) fglrx(0): #3: hsize: 1152  vsize 864  refresh: 60  vid: 16497
(II) fglrx(0): #4: hsize: 1280  vsize 960  refresh: 60  vid: 16513
(II) fglrx(0): Supported additional Video Mode:
(II) fglrx(0): clock: 108.0 MHz   Image Size:  0 x 0 mm
(II) fglrx(0): h_active: 1400  h_sync: 1440  h_sync_end 1552 h_blank_end 1688 h_bo
rder: 0
(II) fglrx(0): v_active: 1050  v_sync: 1050  v_sync_end 1050 v_blanking: 1063 v_bo
rder: 0
(II) fglrx(0): End of Display1 EDID data --------------------
(WW) fglrx(0): Specified desktop setup not supported: 8
(II) fglrx(0): Primary Controller - LCD on internal LVDS
(II) fglrx(0): Internal Desktop Setting: 0x00000004
(II) fglrx(0): POWERplay version 3.  3 power states available:
(II) fglrx(0):   1. 252/200MHz @ 60Hz [enable load balancing]
(II) fglrx(0):   2. 110/110MHz @ 60Hz [low voltage, enable sleep]
(II) fglrx(0):   3. 200/200MHz @ 60Hz [low voltage, enable sleep, thermal diode mo
de]
(==) fglrx(0): Qbs disabled
(==) fglrx(0): FAST_SWAP disabled
(==) fglrx(0):  PseudoColor visuals disabled
(==) fglrx(0): Using gamma correction (1.0, 1.0, 1.0)
(==) fglrx(0): Center Mode is disabled
(==) fglrx(0): TMDS coherent mode is enabled
(II) fglrx(0): Total of 15 modes found for primary display.
(--) fglrx(0): Virtual size is 1400x1050 (pitch 1408)
(**) fglrx(0): *Mode "1400x1050": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz, 60.0
Hz
(II) fglrx(0): Modeline "1400x1050"  108.00  1400 1440 1552 1688  1050 1052 1055 1
063
(**) fglrx(0):  Default mode "1280x1024": 108.0 MHz (scaled from 0.0 MHz), 64.0 kH
z, 60.0 Hz
(II) fglrx(0): Modeline "1280x1024"  108.00  1280 1376 1488 1688  1024 1038 1041 1
066
(**) fglrx(0):  Default mode "1152x864": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz
, 60.0 Hz
(II) fglrx(0): Modeline "1152x864"  108.00  1152 1312 1424 1688  864 961 964 1066
(**) fglrx(0):  Default mode "1024x768": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz
, 60.0 Hz
(II) fglrx(0): Modeline "1024x768"  108.00  1024 1248 1360 1688  768 910 913 1066
(**) fglrx(0):  Default mode "848x480": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "848x480"  108.00  848 1160 1272 1688  480 766 769 1066
(**) fglrx(0):  Default mode "800x600": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "800x600"  108.00  800 1136 1248 1688  600 826 829 1066
(**) fglrx(0):  Default mode "720x576": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "720x576"  108.00  720 1096 1208 1688  576 814 817 1066
(**) fglrx(0):  Default mode "720x480": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "720x480"  108.00  720 1096 1208 1688  480 766 769 1066
(**) fglrx(0):  Default mode "640x480": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "640x480"  108.00  640 1056 1168 1688  480 766 769 1066
(**) fglrx(0):  Default mode "640x400": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "640x400"  108.00  640 1056 1168 1688  400 726 729 1066
(**) fglrx(0):  Default mode "640x350": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "640x350"  108.00  640 1056 1168 1688  350 701 704 1066
(**) fglrx(0):  Default mode "512x384": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "512x384"  108.00  512 992 1104 1688  384 718 721 1066
(**) fglrx(0):  Default mode "400x300": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "400x300"  108.00  400 936 1048 1688  600 826 829 1066
(**) fglrx(0):  Default mode "320x240": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "320x240"  108.00  320 920 1032 1688  480 766 769 1066
(**) fglrx(0):  Default mode "320x200": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz,
 60.0 Hz
(II) fglrx(0): Modeline "320x200"  108.00  320 920 1032 1688  400 726 729 1066
(**) fglrx(0): Display dimensions: (304, 228) mm
(WW) fglrx(0): Probed monitor is 400x300 mm, using Displaysize 304x228 mm
(**) fglrx(0): DPI set to (116, 116)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/modules/libfb.a
(II) Module fb: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.2
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/lib/modules/libramdac.a
(II) Module ramdac: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 0.1.0
        ABI class: X.Org Video Driver, version 0.7
(==) fglrx(0): NoAccel = NO
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/modules/libxaa.a
(II) Module xaa: vendor="X.Org Foundation"
        compiled for 6.8.2, module version = 1.2.0
        ABI class: X.Org Video Driver, version 0.7
(==) fglrx(0): HPV inactive
(==) fglrx(0): FSAA enabled: NO
(==) fglrx(0): FSAA Gamma enabled
(==) fglrx(0): FSAA Multisample Position is fix
(==) fglrx(0): NoDRI = NO
(II) Loading sub module "fglrxdrm"
(II) LoadModule: "fglrxdrm"
(II) Loading /usr/lib/modules/linux/libfglrxdrm.a
(II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
        compiled for 6.8.0, module version = 8.19.10
        ABI class: X.Org Server Extension, version 0.2
(II) fglrx(0): Depth moves disabled by default
(==) fglrx(0): Capabilities: 0x00000000
(==) fglrx(0): CapabilitiesEx: 0x00000000
(==) fglrx(0): cpuFlags: 0x8000001d
(==) fglrx(0): cpuSpeedMHz: 0x0000069e
(==) fglrx(0): OpenGL ClientDriverName: "atiogl_a_dri.so"
(==) fglrx(0): UseFastTLS=0
(==) fglrx(0): BlockSignalsOnLock=1
(==) fglrx(0): EnablePrivateBackZ = NO
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
        [0] 0   0       0xc0100000 - 0xc010ffff (0x10000) MX[B]
        [1] 0   0       0xe0000000 - 0xe7ffffff (0x8000000) MX[B]
        [2] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [3] -1  0       0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
        [4] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [5] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [6] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [7] -1  0       0xc0210000 - 0xc021ffff (0x10000) MX[B]
        [8] -1  0       0xc0200000 - 0xc020ffff (0x10000) MX[B]
        [9] -1  0       0xc0240000 - 0xc025ffff (0x20000) MX[B]
        [10] -1 0       0xc0220000 - 0xc0223fff (0x4000) MX[B]
        [11] -1 0       0xc0224000 - 0xc02247ff (0x800) MX[B]
        [12] -1 0       0xc0000800 - 0xc00008ff (0x100) MX[B]
        [13] -1 0       0xc0000c00 - 0xc0000dff (0x200) MX[B]
        [14] -1 0       0x30000000 - 0x300003ff (0x400) MX[B]
        [15] -1 0       0xc0000000 - 0xc00003ff (0x400) MX[B]
        [16] -1 0       0xd0000000 - 0xcfffffff (0x0) MX[B]O
        [17] -1 0       0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
        [18] -1 0       0xe0000000 - 0xe7ffffff (0x8000000) MX[B](B)
        [19] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B]
        [20] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [21] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B]
        [22] 0  0       0x00003000 - 0x000030ff (0x100) IX[B]
        [23] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [24] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [25] -1 0       0x00008000 - 0x0000803f (0x40) IX[B]
        [26] -1 0       0x00002000 - 0x0000207f (0x80) IX[B]
        [27] -1 0       0x00002400 - 0x000024ff (0x100) IX[B]
        [28] -1 0       0x000018c0 - 0x000018ff (0x40) IX[B]
        [29] -1 0       0x00001c00 - 0x00001cff (0x100) IX[B]
        [30] -1 0       0x00001880 - 0x0000189f (0x20) IX[B]
        [31] -1 0       0x00001860 - 0x0000186f (0x10) IX[B]
        [32] -1 0       0x00001840 - 0x0000185f (0x20) IX[B]
        [33] -1 0       0x00001820 - 0x0000183f (0x20) IX[B]
        [34] -1 0       0x00001800 - 0x0000181f (0x20) IX[B]
        [35] -1 0       0x00003000 - 0x000030ff (0x100) IX[B](B)
        [36] 0  0       0x000003b0 - 0x000003bb (0xc) IS[B]
        [37] 0  0       0x000003c0 - 0x000003df (0x20) IS[B]
(II) fglrx(0): UMM Bus area:     0xe07ad000 (size=0x01853000)
(II) fglrx(0): UMM area:     0xe07ad000 (size=0x01853000)
(II) fglrx(0): driver needs X.org 6.8.x.y with x.y >= 0.0
(II) fglrx(0): detected X.org 6.8.2.0
(II) Loading extension ATIFGLRXDRI
(II) fglrx(0): doing DRIScreenInit
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenByBusid: Searching for BusID PCI:1:0:0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenByBusid: drmOpenMinor returns 6
drmOpenByBusid: drmGetBusid reports
drmOpenDevice: node name is /dev/dri/card1
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card2
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card3
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card4
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card5
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card6
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card7
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card8
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card9
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card10
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card11
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card12
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card13
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card14
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenByBusid: drmOpenMinor returns -1023
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmGetBusid returned ''
(II) fglrx(0): [drm] DRM interface version 1.0
(II) fglrx(0): [drm] created "fglrx" driver at busid "PCI:1:0:0"
(II) fglrx(0): [drm] added 8192 byte SAREA at 0xe1962000
(II) fglrx(0): [drm] mapped SAREA 0xe1962000 to 0xb7ac8000
(II) fglrx(0): [drm] framebuffer handle = 0xe0000000
(II) fglrx(0): [drm] added 1 reserved context for kernel
(II) fglrx(0): DRIScreenInit done
(II) fglrx(0): Kernel Module Version Information:
(II) fglrx(0):     Name: fglrx
(II) fglrx(0):     Version: 8.19.10
(II) fglrx(0):     Date: Nov  9 2005
(II) fglrx(0):     Desc: ATI FireGL DRM kernel module
(II) fglrx(0): Kernel Module version matches driver.
(II) fglrx(0): Kernel Module Build Time Information:
(II) fglrx(0):     Build-Kernel UTS_RELEASE:        2.6.14-gentoo-r2
(II) fglrx(0):     Build-Kernel MODVERSIONS:        no
(II) fglrx(0):     Build-Kernel __SMP__:            no
(II) fglrx(0):     Build-Kernel PAGE_SIZE:          0x1000
(II) fglrx(0): [drm] register handle = 0xc0100000
(II) fglrx(0): [agp] Mode=0x1f000217 bridge: 0x8086/0x3340
(II) fglrx(0): [agp] AGP v1/2 disable mask 0x00000000
(II) fglrx(0): [agp] AGP v3 disable mask   0x00000000
(II) fglrx(0): [agp] enabling AGP with mode=0x1f000314
(II) fglrx(0): [agp] AGP protocol is enabled for graphics board. (cmd=0x1f000314)
(II) fglrx(0): [agp] graphics chipset has AGP v2.0
(II) fglrx(0): [drm] ringbuffer size = 0x00100000 bytes
(II) fglrx(0): [drm] DRM buffer queue setup: nbufs = 100 bufsize = 28672
(II) fglrx(0): [drm] texture shared area handle = 0xe2901000
(II) fglrx(0): shared FSAAScale=1
(II) fglrx(0): DRI initialization successfull!
(II) fglrx(0): FBADPhys: 0xe0000000 FBMappedSize: 0x007ad000
(II) fglrx(0): Splitting WC range: base: 0xe0000000, size: 0x7ad000
(II) fglrx(0): Splitting WC range: base: 0xe0400000, size: 0x3ad000
(II) fglrx(0): Splitting WC range: base: 0xe0600000, size: 0x1ad000
(II) fglrx(0): Splitting WC range: base: 0xe0700000, size: 0xad000
(II) fglrx(0): Splitting WC range: base: 0xe0780000, size: 0x2d000
(II) fglrx(0): Splitting WC range: base: 0xe07a0000, size: 0xd000
(II) fglrx(0): Splitting WC range: base: 0xe07a8000, size: 0x5000
(==) fglrx(0): Write-combining range (0xe07ac000,0x1000)
(==) fglrx(0): Write-combining range (0xe07a8000,0x5000)
(==) fglrx(0): Write-combining range (0xe07a0000,0xd000)
(==) fglrx(0): Write-combining range (0xe0780000,0x2d000)
(==) fglrx(0): Write-combining range (0xe0700000,0xad000)
(==) fglrx(0): Write-combining range (0xe0600000,0x1ad000)
(==) fglrx(0): Write-combining range (0xe0400000,0x3ad000)
(==) fglrx(0): Write-combining range (0xe0000000,0x7ad000)
(II) fglrx(0): FBMM initialized for area (0,0)-(1408,1429)
(II) fglrx(0): FBMM auto alloc for area (0,0)-(1408,1050) (front color buffer - as
sumption)
(==) fglrx(0): Backing store disabled
(==) fglrx(0): Silken mouse enabled
(==) fglrx(0): Using hardware cursor (scanline 1056)
(II) fglrx(0): Largest offscreen area available: 1408 x 365
(**) Option "dpms"
(**) fglrx(0): DPMS enabled
(II) fglrx(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Solid Lines
        Dashed Lines
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                22 128x128 slots
(II) fglrx(0): Acceleration enabled
(II) fglrx(0): X context handle = 0x00000001
(II) fglrx(0): [DRI] installation complete
(II) fglrx(0): Direct rendering enabled
(II) Loading extension FGLRXEXTENSION
(II) Loading extension ATITVOUT
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(**) Option "Protocol" "Auto"
(**) Mouse1: Device: "/dev/mouse"
(**) Mouse1: Protocol: "Auto"
(**) Option "CorePointer"
(**) Mouse1: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse1: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5 "
(**) Mouse1: ZAxisMapping: buttons 4 and 5
(**) Mouse1: Buttons: 5
(**) Mouse1: SmartScroll: 1
(**) Option "CoreKeyboard"
(**) Keyboard1: Core Keyboard
(**) Option "Protocol" "standard"
(**) Keyboard1: Protocol: standard
(**) Option "AutoRepeat" "250 10"
(**) Option "XkbRules" "xorg"
(**) Keyboard1: XkbRules: "xorg"
(**) Option "XkbModel" "pc101"
(**) Keyboard1: XkbModel: "pc101"
(**) Option "XkbLayout" "us"
(**) Keyboard1: XkbLayout: "us"
(**) Option "CustomKeycodes" "off"
(**) Keyboard1: CustomKeycodes disabled
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
(--) Mouse1: PnP-detected protocol: "ExplorerPS/2"
(II) Mouse1: ps2EnableDataReporting: succeeded
Could not init font path element /usr/share/fonts/CID/, removing from list!
Could not init font path element /usr/share/fonts/local/, removing from list!
Could not init font path element /usr/share/fonts/Speedo/, removing from list!
(II) fglrx(0): [drm] removed 1 reserved context for kernel
(II) fglrx(0): [drm] unmapping 8192 bytes of SAREA 0xe1962000 at 0xb7ac8000




dmesg (only last few pages related to X and fglrx):

[fglrx] Maximum main memory to use for locked dma buffers: 429 MBytes.
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
[fglrx] module loaded - fglrx 8.19.10 [Nov  9 2005] on minor 0
[fglrx] ACPI power management is initialized.
[fglrx] Internal AGP support requested, but kernel AGP support active.
[fglrx] Have to use kernel AGP support to avoid conflicts.
[fglrx] Kernel AGP support doesn't provide agplock functionality.
[fglrx] AGP detected, AgpState   = 0x1f000217 (hardware caps of chipset)
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
[fglrx] AGP enabled,  AgpCommand = 0x1f000314 (selected caps)
[fglrx] free  AGP = 256126976
[fglrx] max   AGP = 256126976
[fglrx] free  LFB = 13611008
[fglrx] max   LFB = 13611008
[fglrx] free  Inv = 0
[fglrx] max   Inv = 0
[fglrx] total Inv = 0
[fglrx] total TIM = 0
[fglrx] total FB  = 0
[fglrx] total AGP = 65536

(at this point, X is shutting down and ssh connection is lost)
Comment 4 Yang Zhao 2005-11-29 02:13:20 UTC
Seems that tty only remains responsive when the screen is completely black with
no static displayed. When there is static, the system is completely unresponsive.

I'm not sure how to produce the two distinct results reliably.

Looks like fglrx is seriously screwing up the kernel, at least on my machine.
Comment 5 Yang Zhao 2006-01-26 18:41:33 UTC
Confirmed with ati-drivers-8.21.7 under identical X setup

Changed summary to not specify version
Comment 6 Yang Zhao 2006-01-30 08:35:22 UTC
Workaround seems to be removing framebuffer support from kernel. See URL.
Comment 7 Philip Nicolcev 2006-01-30 22:51:07 UTC
Getting the same bug. Removing framebuffer didn't fix it after all. My bad.
Comment 8 Philip Nicolcev 2006-01-31 22:56:38 UTC
Dmesg for me shows some errors. xorg.conf has UseInternalAGPGART "no", but setting it to yes doesn't help. The kernel bug appears when I try to kill X.

Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected VIA ProSavage PM133/PL133/PN133 chipset
agpgart: AGP aperture is 32M @ 0xfc000000
fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
[fglrx] Maximum main memory to use for locked dma buffers: 197 MBytes.
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
[fglrx] module loaded - fglrx 8.14.13 [Jun  8 2005] on minor 0
[fglrx] Maximum main memory to use for locked dma buffers: 197 MBytes.
[fglrx] AGP detected, AgpState   = 0x1f000207 (hardware caps of chipset)
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
[fglrx] AGP enabled,  AgpCommand = 0x1f000304 (selected caps)
Bad page state at free_hot_cold_page (in process 'X', page c1199160)
flags:0x80000414 mapping:00000000 mapcount:0 count:0
Backtrace:
 [<c0149a01>] bad_page+0x81/0xc0
 [<c014a263>] free_hot_cold_page+0x53/0x150
 [<c0155581>] zap_pte_range+0x1e1/0x2d0
 [<c0155734>] unmap_page_range+0xc4/0x160
 [<c01558af>] unmap_vmas+0xdf/0x240
 [<c0159f91>] unmap_region+0xb1/0x150
 [<c015a321>] do_munmap+0x111/0x180
 [<c015a3e1>] sys_munmap+0x51/0x80
 [<c010310b>] sysenter_past_esp+0x54/0x75
Trying to fix it up, but a reboot is needed
[fglrx] free  AGP = 21245952
[fglrx] max   AGP = 21245952
[fglrx] free  LFB = 119533568
[fglrx] max   LFB = 119533568
[fglrx] free  Inv = 0
[fglrx] max   Inv = 0
[fglrx] total Inv = 0
[fglrx] total TIM = 0
[fglrx] total FB  = 0
[fglrx] total AGP = 8192
------------[ cut here ]------------
kernel BUG at mm/swap.c:49!
invalid operand: 0000 [#1]
PREEMPT SMP 
Modules linked in: fglrx via_agp agpgart
CPU:    0
EIP:    0060:[<c0150911>]    Tainted: P    B VLI
EFLAGS: 00210256   (2.6.15-gentoo-r1-noatifb) 
EIP is at put_page+0x61/0x80
eax: 00000000   ebx: cdd933c8   ecx: c1199160   edx: c1199160
esi: b7cf2000   edi: c1199160   ebp: cdd09f28   esp: cdd09e8c
ds: 007b   es: 007b   ss: 0068
Process X (pid: 6108, threadinfo=cdd08000 task=ce90a570)
Stack: c0155581 c1199160 b7cf2000 0cc8b067 0cc8b067 cef1fb04 00000000 ffffffff 
       cef1fac0 b7cf3000 cde3cb80 b7cf3000 cdd09f28 c0155734 c1203840 cefd93e4 
       cde3cb7c b7cf2000 b7cf3000 cdd09f28 00000000 b7cf2fff cde3cb7c cde3cb7c 
Call Trace:
 [<c0155581>] zap_pte_range+0x1e1/0x2d0
 [<c0155734>] unmap_page_range+0xc4/0x160
 [<c01558af>] unmap_vmas+0xdf/0x240
 [<c0159f91>] unmap_region+0xb1/0x150
 [<c015a321>] do_munmap+0x111/0x180
 [<c015a3e1>] sys_munmap+0x51/0x80
 [<c010310b>] sysenter_past_esp+0x54/0x75
Code: 00 8b 52 0c 8b 02 89 d1 f6 c4 40 74 03 8b 4a 0c 8b 41 04 40 74 1f f0 83 42 04 ff 0f 98 c0 84 c0 74 ce 8b 4a 30 89 54 24 04 ff e1 <0f> 0b 31 00 66 4c 45 c0 eb af 0f 0b 29 00 66 4c 45 c0 eb d7 8d 
 <6>note: X[6108] exited with preempt_count 2
scheduling while atomic: X/0x00000002/6108
 [<c0434b8c>] schedule+0xa2c/0xdb0
 [<c011f8d0>] call_console_drivers+0x70/0x150
 [<c011fe9b>] release_console_sem+0x7b/0xc0
 [<c011fd82>] vprintk+0x2b2/0x2d0
 [<c0435c39>] rwsem_down_read_failed+0x89/0x180
 [<c0123990>] .text.lock.exit+0x27/0x87
 [<c0122559>] do_exit+0xf9/0x420
 [<c01043db>] die+0x18b/0x190
 [<c0104760>] do_invalid_op+0x0/0xb0
 [<c0104806>] do_invalid_op+0xa6/0xb0
 [<c0150911>] put_page+0x61/0x80
 [<c01253e3>] tasklet_action+0x63/0xd0
 [<c0124fe1>] __do_softirq+0x81/0x100
 [<d1381927>] drm_free+0xb7/0x150 [fglrx]
 [<c0103c67>] error_code+0x4f/0x54
 [<c027007b>] acpi_add_single_object+0x75/0x155
 [<c0150911>] put_page+0x61/0x80
 [<c0155581>] zap_pte_range+0x1e1/0x2d0
 [<c0155734>] unmap_page_range+0xc4/0x160
 [<c01558af>] unmap_vmas+0xdf/0x240
 [<c0159f91>] unmap_region+0xb1/0x150
 [<c015a321>] do_munmap+0x111/0x180
 [<c015a3e1>] sys_munmap+0x51/0x80
 [<c010310b>] sysenter_past_esp+0x54/0x75
Comment 9 Bernhard Efler 2006-02-02 06:16:51 UTC
Hi!

I just switched back to kernel 2.6.14.2 and it solved my problem!
Comment 10 Philip Nicolcev 2006-02-03 11:34:35 UTC
I unmasked:

x11-drivers/ati-drivers ~x86
app-admin/eselect ~x86
app-admin/eselect-opengl ~x86

Then re-emerged ati-drivers with eselect. Backed up xorg.conf and ran:

aticonfig --initial --input=/etc/x11/xorg.conf
eselect opengl set ati 

And then tweaked the xorg.conf again with UseInternalAGPGART "no" and the problem is solved. And yes, I have direct rendering this time. :)
Comment 11 Chris Bainbridge (RETIRED) gentoo-dev 2006-02-04 06:31:43 UTC
Looks like I have the same bug; crash in kernel 2.6.15 with ati-drivers 8.21.7 in _firegl_release_agp.

Feb  4 14:15:05 localhost ------------[ cut here ]------------               
Feb  4 14:15:05 localhost kernel BUG at arch/i386/mm/pageattr.c:137!         
Feb  4 14:15:05 localhost invalid operand: 0000 [#1]                         
Feb  4 14:15:05 localhost PREEMPT                                            
Feb  4 14:15:05 localhost Modules linked in: kqemu wlan_scan_sta ath_pci ath_rate_sample wlan ath_hal fglrx
Feb  4 14:15:05 localhost CPU:    0                                          
Feb  4 14:15:05 localhost EIP:    0060:[<c01158b0>]    Tainted: P      VLI   
Feb  4 14:15:05 localhost EFLAGS: 00213082   (2.6.15)  
Feb  4 14:15:05 localhost EIP is at __change_page_attr+0x150/0x1d0           
Feb  4 14:15:05 localhost eax: 00009780   ebx: c16f8000   ecx: c1009780   edx: c1000000
Feb  4 14:15:05 localhost esi: c04bcf7c   edi: 00000163   ebp: f7c00000   esp: f5a41eb0
Feb  4 14:15:05 localhost ds: 007b   es: 007b   ss: 0068                     
Feb  4 14:15:05 localhost Process X (pid: 7348, threadinfo=f5a40000 task=f7d7c5e0)
Feb  4 14:15:05 localhost Stack: c16f8000 00000040 00000000 00000041 c011597b 00203246 00000163 f7fcc540 
Feb  4 14:15:05 localhost f8b80000 c16f7800 00001000 c0115564 00000163 00000163 00000163 c1000000  
Feb  4 14:15:05 localhost 00000006 f8a3317d f8a9b1a0 00000000 f8a9b1a0 00000000 f8a39f5c f8a3e386  
Feb  4 14:15:05 localhost Call Trace:                                        
Feb  4 14:15:05 localhost [<c011597b>] change_page_attr+0x4b/0x90
Feb  4 14:15:05 localhost [<c0115564>] iounmap+0x114/0x140                   
Feb  4 14:15:05 localhost [<f8a3317d>] agp_generic_free_gatt_table+0x5d/0xe0 [fglrx] 
Feb  4 14:15:05 localhost [<f8a39f5c>] agp_backend_cleanup+0xc/0x50 [fglrx]  
Feb  4 14:15:05 localhost [<f8a3e386>] __ke_agp_uninit+0x16/0x20 [fglrx]
Feb  4 14:15:05 localhost [<f8a56375>] _firegl_release_agp+0x15/0x140 [fglrx]
Feb  4 14:15:05 localhost [<f8a43955>] firegl_takedown+0x335/0xb80 [fglrx]   
Feb  4 14:15:05 localhost [<f8a42cff>] firegl_release+0x12f/0x190 [fglrx]    
Feb  4 14:15:05 localhost [<c01421b6>] zone_batchsize+0x6/0x90               
Feb  4 14:15:05 localhost [<f8a3a43f>] ip_firegl_release+0xf/0x20 [fglrx]
Feb  4 14:15:05 localhost [<c015cb6a>] __fput+0xfa/0x130                     
Feb  4 14:15:05 localhost [<c015b27c>] filp_close+0x3c/0x80
Feb  4 14:15:05 localhost [<c01502f0>] sys_munmap+0x40/0x70
Feb  4 14:15:05 localhost [<c0102f9b>] sysenter_past_esp+0x54/0x75
Feb  4 14:15:05 localhost Code: 67 fe ff ff 89 d9 e9 54 ff ff ff 80 3e 00 78 1b 29 d3 c1 fb 05 c1 e3 0c 09 fb 89 1e ff 49 04 e9 4b ff ff ff 8d b4 26 00 00 00 00 <0f> 0b 89 00 65 41 3d c0 e9 37 ff ff ff 8b 15 28 76 42 c0 8d 41 
Feb  4 14:15:05 localhost <6>note: X[7348] exited with preempt_count 2       
Feb  4 14:15:05 localhost kdm[7345]: X server for display :0 terminated unexpectedly 
Comment 12 Chris Bainbridge (RETIRED) gentoo-dev 2006-02-04 06:52:55 UTC
I tried 'UseInternalAGPGART "no"' and now X restart gives the error:

Feb  4 14:39:58 localhost [fglrx:firegl_unlock] *ERROR* Process 7351 using kernel context 0
Feb  4 14:40:55 localhost kdm[7348]: X server for display :0 terminated unexpectedly
Feb  4 14:40:55 localhost kdm[7348]: Unable to fire up local display :0; disabling.
Comment 13 Chris Bainbridge (RETIRED) gentoo-dev 2006-02-04 08:01:17 UTC
Following a hint at http://ati.cchtml.com/show_bug.cgi?id=239 I added the line "TerminateServer=true" to /usr/kde/3.4/share/config/kdm/kdmrc. Now I can restart X without the black screen. The logs still show some error:

[fglrx:firegl_unlock] *ERROR* Process 7349 using kernel context 0
[fglrx:firegl_unlock] *ERROR* Process 7486 using kernel context 0

but it seems to be functional...
Comment 14 Chris Bainbridge (RETIRED) gentoo-dev 2006-02-04 13:22:12 UTC
I spoke too soon. The same crash+black screen is still happening, the kdm change made no difference.
Comment 15 Ricardo Lenz 2006-02-08 23:38:19 UTC
i've found a FIX!

was having the same problem here with:

[ebuild   R   ] x11-base/xorg-x11-6.8.2-r6  -3dfx +3dnow +bitmap-fonts -cjk -debug -dlloader -dmx -doc -font-server -insecure-drivers +ipv6 -minimal +mmx +nls -nocxx +opengl +pam -sdk +sse -static +truetype-fonts +type1-fonts (-uclibc) -xprint +xv 0 kB
[ebuild   R   ] x11-drivers/ati-drivers-8.21.7  +opengl 0 kB


my videoboard is a radeon 9600 pro, my processor is an athlon xp, and my mainboard is a via kt4. but i had another gentoo system that, with this same setup, worked without a locked black screen after exiting X, and i noted that the only thing different was in /etc/modules.autoload.d/kernel-2.6:

there was a line "via-agp" before "fglrx". just that!

I remembered of it and added to my current system, and doesn't crash anymore! so that was the fix to me... just add the agp driver from your mainboard.

hope it helps!
Comment 16 Chris Bainbridge (RETIRED) gentoo-dev 2006-02-09 03:08:39 UTC
Well done Ricardo. I had CONFIG_AGP_ATI enabled in my kernel, I disabled that and instead enabled CONFIG_AGP_INTEL. My system no longer black screens on X exit.

So, it would appear that this is definately a bug in the ATI driver. When the platform specific AGP driver isn't loaded, the ATI driver will crash on exit from X. It shouldn't do that.
Comment 17 François Valenduc 2006-02-11 05:20:51 UTC
(In reply to comment #16)
> Well done Ricardo. I had CONFIG_AGP_ATI enabled in my kernel, I disabled that
> and instead enabled CONFIG_AGP_INTEL. My system no longer black screens on X
> exit.
> 
> So, it would appear that this is definately a bug in the ATI driver. When the
> platform specific AGP driver isn't loaded, the ATI driver will crash on exit
> from X. It shouldn't do that.
> 
I wonder how you manage to select CONFIG_AGP_INTEL and no CONFIG_AGP in the kernel config. Do you have to hand edit the kernel config file ? If you unselect  "/dev/agpgart (AGP Support)", it's no more possible to eneable "CONFIG_AGP_INTEL".

Fran
Comment 18 François Valenduc 2006-02-11 05:20:51 UTC
(In reply to comment #16)
> Well done Ricardo. I had CONFIG_AGP_ATI enabled in my kernel, I disabled that
> and instead enabled CONFIG_AGP_INTEL. My system no longer black screens on X
> exit.
> 
> So, it would appear that this is definately a bug in the ATI driver. When the
> platform specific AGP driver isn't loaded, the ATI driver will crash on exit
> from X. It shouldn't do that.
> 
I wonder how you manage to select CONFIG_AGP_INTEL and no CONFIG_AGP in the kernel config. Do you have to hand edit the kernel config file ? If you unselect  "/dev/agpgart (AGP Support)", it's no more possible to eneable "CONFIG_AGP_INTEL".

François Valenduc
Comment 19 Chris Bainbridge (RETIRED) gentoo-dev 2006-02-12 04:17:13 UTC
I have both CONFIG_AGP=y and CONFIG_AGP_INTEL=y in my kernel.

The ati-drivers problem seems to be that if I remove CONFIG_AGP_INTEL then fglrx crashes on exit from X.
Comment 20 Yang Zhao 2006-02-13 01:11:19 UTC
Seems that none of the solutions proposed so far work for me.

`UseInternalAGPGART "no"' fix had no effect, and the various kernel config fixes are non-applicable. Xorg.0.log shows that it is indeed not using the internal AGPGART drivers.

I have intel_agp and apgart both compiled as modules, with the former automatically loaded on boot. Loading the former causes the latter to be loaded automatically as well. It makes no difference whether I manually load fglrx or have X load it for me.

I may have to try compiling the AGP components into the kernel...
Comment 21 Ruben Jenster 2006-02-18 11:56:02 UTC
Look at the "Hardlock on X logout" section on
http://thinkwiki.org/wiki/Problems_with_fglrx.
Comment 22 Yang Zhao 2006-02-18 13:10:20 UTC
(In reply to comment #20)
> Look at the "Hardlock on X logout" section on
> http://thinkwiki.org/wiki/Problems_with_fglrx.

gdm/kdm workarounds are irrelivant to me as I run neither.

Bug is reproduceable with plain-old X

Comment 23 Ulf 2006-04-07 18:05:37 UTC
(In reply to comment #10)
> I unmasked:
> 
> x11-drivers/ati-drivers ~x86
> app-admin/eselect ~x86
> app-admin/eselect-opengl ~x86
> 
> Then re-emerged ati-drivers with eselect. Backed up xorg.conf and ran:
> 
> aticonfig --initial --input=/etc/x11/xorg.conf
> eselect opengl set ati 
> 
> And then tweaked the xorg.conf again with UseInternalAGPGART "no" and the
> problem is solved. And yes, I have direct rendering this time. :)
> 

This solved my problem, too.

I'm now running ati-drivers version 8.23.7 (latest testing vs) on my AMD64 system with a PCIe card on the currently stable gentoo-sources-2.6.15-r7. 

I suggest to move forward and mark one of the more recent ati-drivers stable. IMHO it makes no sense to keep sitting on a stable version of ati-drivers if it doesn't work with the current stable kernel. In my opinion it's time to move on, guys. Or is there a good reason not to replace a version that doesn't work anymore for a lot of guys?
Comment 24 Yang Zhao 2006-04-09 15:52:46 UTC
Persists with xorg-x11-6.8.2-r6 and ati-drivers-8.23.7

I'm really at a loss of why it doesn't work here...
Comment 25 Ulf 2006-04-11 00:44:16 UTC
(In reply to comment #23)
> Persists with xorg-x11-6.8.2-r6 and ati-drivers-8.23.7
> 
> I'm really at a loss of why it doesn't work here...
> 
Yang Zhao,

I'm not sure if you have the same type of problem I had. In my case I'm pretty sure problems started when I switched to kernel 2.6.15 in January. From then on I also got an error message in dmesg, complaining about some funny ?_hot_cold_page. Looks like your problem is older and started with kernel version 2.6.14 - and you don't have the error in dmesg.
Comment 26 Yang Zhao 2006-04-11 01:00:57 UTC
There seems to be two distinct but related issues:
1) X shuts down, but does not reset display device, and hence it remains blank; tty is still responsive (I was able to restore system by hibernating then resuming)

2) X tries to shut down, but crashes system. Everything is totally unresponsive.


I haven't really had time to test this comprehensively. If and when I get enough free time, I may try setting up proper logging and see what dmesg says when situation 2 occurs.
Comment 27 Chris Bainbridge (RETIRED) gentoo-dev 2006-04-11 02:38:56 UTC
I have discovered two causes for the kernel crashes I've seen with ATI drivers. When the chipset specific agp driver isn't loaded fglrx can get confused and crash. Also multi-threaded gui apps can cause a kernel crash when UseFastTLS is set to 2 (the default) in xorg.conf.

If you make sure the fglrx driver can't be loaded, and then see no kernel crashes, the bug is in the fglrx module and should be reported to ATI. Hopefully if enough people report these problems they will get fixed.
Comment 28 Yang Zhao 2006-05-25 08:41:30 UTC
Appears fixed in 8.25.18

Can I get a confirmation?
Comment 29 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2006-05-25 14:43:22 UTC
Looks good here, I can actually restart xdm again without a panic. about time.
Comment 30 dasoft 2006-07-29 14:14:32 UTC
(In reply to comment #28)
> Looks good here, I can actually restart xdm again without a panic. about time.
> 

If I disable nmi_watchdog and add this option to XF86Config-4 Option "UseInternalAGPGART" "yes"  problems seems be solved.
 
Comment 31 Jakub Moc (RETIRED) gentoo-dev 2006-11-10 12:46:44 UTC
(In reply to comment #27)
> Appears fixed in 8.25.18

Closing then, as it works now for reporter of this bug and other people as well. Thanks.
Comment 32 Jakub Moc (RETIRED) gentoo-dev 2006-11-10 12:53:52 UTC
*** Bug 126466 has been marked as a duplicate of this bug. ***